<?php
// Handle form submission to add a new group
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $group_name = $_POST['group_name'];
    $mt5_group_name = $_POST['mt5_group_name'];
    $status = $_POST['status'];

    // Here you would typically save the group details to the database.
    // Since we are not using DB data in this case, we will simply echo the submitted data.
    echo "Group Name: $group_name, MT5 Group Name: $mt5_group_name, Status: $status - Group added successfully!";
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Add Group</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-50">
<?php include "header.php"; ?>
<div class="flex h-screen">
    <?php include "side_bar.php"; ?>

    <main class="flex-1 p-8 ml-64">
<div class="flex items-center justify-center min-h-screen bg-gray-100">
    <div class="container mx-auto px-4">
        <h1 class="text-4xl font-bold text-center mb-8 text-[#CD7F32]">Add Client Deposit</h1>

        <!-- Deposit Form -->
        <form action="add_deposit.php" method="POST" class="max-w-3xl mx-auto bg-white p-10 rounded-2xl shadow-2xl border border-gray-300">
            
            <div class="grid grid-cols-1 md:grid-cols-2 gap-6">
                <!-- Select Client -->
                <div>
                    <label for="client_id" class="block text-[#CD7F32] text-lg font-bold uppercase tracking-wide mb-2">Select Client:</label>
                    <select id="client_id" name="client_id" class="w-full px-4 py-3 border border-gray-300 rounded-lg focus:ring-2 focus:ring-[#CD7F32] transition-shadow focus:shadow-md" required>
                        <option value="">-- Select Client --</option>
                        <?php foreach ($clients as $id => $name): ?>
                            <option value="<?php echo $id; ?>"><?php echo $name; ?></option>
                        <?php endforeach; ?>
                    </select>
                </div>

                <!-- Select MT5 ID -->
                <div>
                    <label for="mt5_id" class="block text-[#CD7F32] text-lg font-bold uppercase tracking-wide mb-2">Select MT5 ID:</label>
                    <select id="mt5_id" name="mt5_id" class="w-full px-4 py-3 border border-gray-300 rounded-lg focus:ring-2 focus:ring-[#CD7F32] transition-shadow focus:shadow-md" required>
                        <option value="">-- Select MT5 ID --</option>
                        <?php foreach ($mt5_ids as $id => $name): ?>
                            <option value="<?php echo $id; ?>"><?php echo $name; ?></option>
                        <?php endforeach; ?>
                    </select>
                </div>

                <!-- Amount -->
                <div>
                    <label for="amount" class="block text-[#CD7F32] text-lg font-bold uppercase tracking-wide mb-2">Deposit Amount:</label>
                    <input type="number" id="amount" name="amount" class="w-full px-4 py-3 border border-gray-300 rounded-lg focus:ring-2 focus:ring-[#CD7F32] transition-shadow focus:shadow-md" required placeholder="Enter deposit amount" min="1">
                </div>

                <!-- Comment -->
                <div>
                    <label for="comment" class="block text-[#CD7F32] text-lg font-bold uppercase tracking-wide mb-2">Comment:</label>
                    <textarea id="comment" name="comment" class="w-full px-4 py-3 border border-gray-300 rounded-lg focus:ring-2 focus:ring-[#CD7F32] transition-shadow focus:shadow-md" rows="4" placeholder="Optional comment"></textarea>
                </div>
            </div>

            <!-- Submit Button -->
            <div class="mt-8 text-center">
                <button type="submit" class="w-full md:w-auto px-6 py-3 bg-[#CD7F32] text-white font-bold rounded-lg shadow-md hover:bg-[#B87333] hover:scale-105 transition duration-300">
                    Add Deposit
                </button>
            </div>
        </form>
    </div>
</div>
</main></div>
</body>
</html>
