<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Approved Documents List</title>
    <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="bg-gray-100">
<?php include "header.php"; ?>

<div class="flex flex-col md:flex-row h-screen">
    <!-- Sidebar -->
    <?php include "side_bar.php"; ?>

    <!-- Main Content -->
    <main class="flex-1 p-4 md:p-6 md:ml-64">
        <div class="container mx-auto">
            <h2 class="text-2xl font-bold text-gray-800 mb-4 text-center md:text-left">Approved Documents List</h2>
            
            <input type="text" id="search" placeholder="Search by name or email..." class="mb-4 p-2 w-full border border-[#CD7F32] rounded-lg focus:outline-none focus:ring-2 focus:ring-[#CD7F32]">
            
            <div class="overflow-x-auto">
                <table class="min-w-full bg-white border border-[#CD7F32] rounded-lg shadow-lg">
                    <thead class="bg-[#CD7F32] text-white">
                        <tr>
                            <th class="p-3 text-left">Name</th>
                            <th class="p-3 text-left">Email</th>
                            <th class="p-3 text-left ">Country</th>
                            <th class="p-3 text-left">Document Type</th>
                            <th class="p-3 text-left ">Approval Date</th>
                            <th class="p-3 text-left">Status</th>
                        </tr>
                    </thead>
                    <tbody class="text-gray-800">
            <!-- Dynamically populate rows using PHP -->
            <tr class="bg-gray-100 hover:bg-[#E2B285]">
                <td class="p-4">John Doe</td>
                <td class="p-4">john@example.com</td>
                <td class="p-4">USA</td>
                <td class="p-4">ID</td>
                <td class="p-4">2025-01-30</td>
                <td class="p-4 text-green-700 font-semibold">Approved</td>
            </tr>
            <tr class="bg-gray-50 hover:bg-[#E2B285]">
                <td class="p-4">Jane Smith</td>
                <td class="p-4">jane@example.com</td>
                <td class="p-4">Canada</td>
                <td class="p-4">Passport</td>
                <td class="p-4">2025-01-28</td>
                <td class="p-4 text-red-700 font-semibold">Rejected</td>
            </tr>
        </tbody>
                    
                </table>
            </div>
        </div><br><br>
    <?php include "footer.php";?>


<?php
    // Connect to your database
    $conn = new mysqli('localhost', 'username', 'password', 'database_name');

    // Check the connection
    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    // SQL query to fetch approved documents
    $sql = "SELECT id, name, email, country, document_type, document_image, approval_date, status FROM approved_documents";
    $result = $conn->query($sql);

    if ($result->num_rows > 0) {
        while ($row = $result->fetch_assoc()) {
            echo "<tr>
                    <td class='p-4'>" . $row['name'] . "</td>
                    <td class='p-4'>" . $row['email'] . "</td>
                    <td class='p-4'>" . $row['country'] . "</td>
                    <td class='p-4'>" . $row['document_type'] . "</td>
                    <td class='p-4'>" . $row['approval_date'] . "</td>
                    <td class='p-4 " . ($row['status'] == 'Approved' ? 'text-green-500' : 'text-red-500') . "'>" . $row['status'] . "</td>
                </tr>";
        }
    } else {
        echo "<tr><td colspan='7' class='p-4 text-center'>No records found</td></tr>";
    }

    // Close connection
    $conn->close();
?>


        </main>
    </div>

    <!-- Modal for displaying details -->
  

    <!-- Footer -->


</body>
</html>
