<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bank Details List</title>
    <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="bg-gray-100">
<?php include "header.php";?>
<div class="flex flex-col md:flex-row h-screen">
    <!-- Sidebar -->
    <?php include "side_bar.php";?>

    <!-- Main Content -->
   <main class="flex-1 p-6 md:ml-64">
    <!-- Top Navigation -->
    <div class="container"><!-- Search Input -->
            <input type="text" id="search" placeholder="Search..." class="p-2 border border-gray-300 rounded-lg w-full md:w-1/3 mb-4 md:mb-0 focus:ring-2 focus:ring-[#CD7F32]" oninput="filterTable()">

            <!-- Filter Dropdown for Status -->
            <select id="status-filter" class="p-2 border border-gray-300 rounded-lg w-full md:w-1/4 focus:ring-2 focus:ring-[#CD7F32]" onchange="filterTable()">
                <option value="">All Status</option>
                <option value="pending">Pending</option>
                <option value="approved">Approved</option>
            </select>
        </div>

        <!-- Table Section -->
        <div class="container mx-auto p-6">
            <h2 class="text-2xl font-bold text-[#CD7F32] mb-4">Bank Details List</h2>

            <div class="overflow-x-auto">
<table class="min-w-full bg-white border border-gray-300 rounded-md shadow">
    <thead class="bg-[#CD7F32] text-white">
        <tr>
            <th class="p-2 border-b text-xs sm:text-sm md:text-base" style="width: 40px;">ID</th>
            <th class="p-2 border-b text-xs sm:text-sm md:text-base" style="width: 130px;">Account Name</th>
            <th class="p-2 border-b text-xs sm:text-sm md:text-base" style="width: 130px;">Account Number</th>
            <th class="p-2 border-b text-xs sm:text-sm md:text-base" style="width: 130px;">IFSC/Swift Code</th>
            <th class="p-2 border-b text-xs sm:text-sm md:text-base" style="width: 150px;">IBAN No.</th>
            <th class="p-2 border-b text-xs sm:text-sm md:text-base" style="width: 180px;">Bank Name</th>
            <th class="p-2 border-b text-xs sm:text-sm md:text-base" style="width: 200px;">Bank Address</th>
            <th class="p-2 border-b text-xs sm:text-sm md:text-base" style="width: 70px;">Country</th>
            <th class="p-2 border-b text-xs sm:text-sm md:text-base" style="width: 50px;">Book Bank</th>
            <th class="p-2 border-b text-xs sm:text-sm md:text-base" style="width: 100px;">Comment</th>
            <th class="p-2 border-b text-xs sm:text-sm md:text-base" style="width: 90px;">Status</th>
            <th class="p-2 border-b text-xs sm:text-sm md:text-base" style="width: 90px;">Date</th>
            <th class="p-2 border-b text-xs sm:text-sm md:text-base" style="width: 100px;">Actions</th>
        </tr>
    </thead>
    <tbody id="table-body">
        <?php
        // Dummy Data Array
        $dummy_data = [
            ['id' => 1, 'account_name' => 'John Doe', 'account_number' => '1234567890', 'ifsc_code' => 'IFSC00123', 'iban_number' => 'IBAN123456', 'bank_name' => 'Bank of America', 'bank_address' => '123 Main St, NY', 'country' => 'USA', 'book_bank' => 'Yes', 'comment' => 'Verified', 'status' => 'Approved', 'date' => '2024-02-03'],
            ['id' => 2, 'account_name' => 'Jane Smith', 'account_number' => '9876543210', 'ifsc_code' => 'IFSC00987', 'iban_number' => 'IBAN654321', 'bank_name' => 'HSBC', 'bank_address' => '456 Elm St, London', 'country' => 'UK', 'book_bank' => 'No', 'comment' => 'Pending Review', 'status' => 'Pending', 'date' => '2024-02-02'],
            ['id' => 3, 'account_name' => 'Mike Johnson', 'account_number' => '5553332221', 'ifsc_code' => 'IFSC00555', 'iban_number' => 'IBAN111222', 'bank_name' => 'Wells Fargo', 'bank_address' => '789 Pine St, LA', 'country' => 'USA', 'book_bank' => 'Yes', 'comment' => 'Urgent', 'status' => 'Approved', 'date' => '2024-02-01'],
        ];

        // Loop through dummy data and display in table
        foreach ($dummy_data as $row) {
            echo "<tr class='hover:bg-[#F8E6D1] transition'>";
            echo "<td class='p-2 text-xs sm:text-sm md:text-base'>" . $row['id'] . "</td>";
            echo "<td class='p-2 text-xs sm:text-sm md:text-base'>" . $row['account_name'] . "</td>";
            echo "<td class='p-2 text-xs sm:text-sm md:text-base'>" . $row['account_number'] . "</td>";
            echo "<td class='p-2 text-xs sm:text-sm md:text-base'>" . $row['ifsc_code'] . "</td>";
            echo "<td class='p-2 text-xs sm:text-sm md:text-base'>" . $row['iban_number'] . "</td>";
            echo "<td class='p-2 text-xs sm:text-sm md:text-base'>" . $row['bank_name'] . "</td>";
            echo "<td class='p-2 text-xs sm:text-sm md:text-base'>" . $row['bank_address'] . "</td>";
            echo "<td class='p-2 text-xs sm:text-sm md:text-base'>" . $row['country'] . "</td>";
            echo "<td class='p-2 text-xs sm:text-sm md:text-base'>" . $row['book_bank'] . "</td>";
            echo "<td class='p-2 text-xs sm:text-sm md:text-base'>" . $row['comment'] . "</td>";
            echo "<td class='p-2 text-xs sm:text-sm md:text-base'>" . $row['status'] . "</td>";
            echo "<td class='p-2 text-xs sm:text-sm md:text-base'>" . $row['date'] . "</td>";
            echo "<td class='p-2 text-xs sm:text-sm md:text-base flex space-x-2'>
                    <a href='#' class='px-3 py-1 text-white bg-[#CD7F32] rounded-md hover:bg-[#B36F2B] transition'>Edit</a>
                    <a href='#' class='px-3 py-1 text-white bg-red-500 rounded-md hover:bg-red-600 transition'>Delete</a>
                </td>";
            echo "</tr>";
        }
        ?>
    </tbody>
</table>
            </div>

            <!-- Pagination -->
            <div class="mt-4">
                <nav>
                    <ul class="flex justify-center space-x-2">
                        <?php
                        for ($i = 1; $i <= $total_pages; $i++) {
                            echo "<li><a href='?page=$i&status=$status_filter' class='p-2 border rounded " . ($page == $i ? 'bg-[#CD7F32] text-white' : 'bg-gray-200 hover:bg-gray-300 transition') . "'>$i</a></li>";
                        }
                        ?>
                    </ul>
                </nav>
            </div>
        </div> 
    </main><?php include "footer.php";?>
</div>

    <!-- Footer -->
   

    <script>
        // Function to filter the table based on search input and status filter
        function filterTable() {
            const searchInput = document.getElementById("search").value.toLowerCase();
            const statusFilter = document.getElementById("status-filter").value;
            const tableRows = document.querySelectorAll("#table-body tr");

            tableRows.forEach(row => {
                const cells = row.querySelectorAll("td");
                let match = false;

                // Loop through each cell and check if it contains the search input or status filter
                cells.forEach(cell => {
                    if (cell.textContent.toLowerCase().includes(searchInput)) {
                        match = true;
                    }
                });

                // Show or hide the row based on match
                row.style.display = match && (statusFilter === "" || row.cells[9].textContent.toLowerCase().includes(statusFilter.toLowerCase())) ? "" : "none";
            });
        }
    </script>
</body>
</html>
