<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Update MT5 Leverage</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100">
<?php include "header.php";?>
    <div class="flex flex-col md:flex-row h-screen">
        <!-- Sidebar -->
        <?php include "side_bar.php";?>

        <!-- Main Content -->
        <main class="flex-1 p-6 md:ml-64">
    <!-- Top Navigation -->
    <div class="container"> 
    <span class="text-[#CD7F32] font-semibold text-lg">Update MT5 Leverage</span>
    </div>

    <!-- Update Leverage Form Section -->
    <div class="container mx-auto p-6">
        <h2 class="text-2xl font-bold text-[#CD7F32] mb-4 text-center">Select MT5 Account and Update Leverage</h2>

        <!-- Update Leverage Form -->
        <form action="update_mt5_leverage.php" method="POST" class="bg-white p-6 rounded-lg shadow-md w-full max-w-lg mx-auto space-y-6">
            
            <!-- MT5 Account ID Selection -->
            <div>
                <label for="mt5_id" class="block text-[#CD7F32] text-sm font-semibold mb-2">Select MT5 Account ID</label>
                <select id="mt5_id" name="mt5_id" required 
                    class="w-full p-3 border border-gray-400 rounded-md text-sm focus:outline-none focus:ring-2 focus:ring-[#CD7F32]">
                    <option value="">-- Select MT5 Account ID --</option>
                    <option value="1234567">1234567</option>
                    <option value="2345678">2345678</option>
                    <option value="3456789">3456789</option>
                    <option value="4567890">4567890</option>
                </select>
            </div>

            <!-- New Leverage Value Input -->
            <div>
                <label for="new_leverage" class="block text-[#CD7F32] text-sm font-semibold mb-2">Enter New Leverage</label>
                <input type="number" id="new_leverage" name="new_leverage" required 
                    class="w-full p-3 border border-gray-400 rounded-md text-sm focus:outline-none focus:ring-2 focus:ring-[#CD7F32]"
                    placeholder="e.g., 100 for 1:100">
            </div>

            <!-- Submit Button -->
            <button type="submit" class="w-full bg-[#CD7F32] text-white py-3 rounded-md font-semibold text-sm hover:bg-[#B76E2B] transition duration-300 text-center">
                Update Leverage
            </button>
        </form>
    </div>    

    
</main>
<?php include "footer.php"; ?>
    </div>

    <!-- Footer -->

</body>
</html>
