<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Change Password</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>
<body class="bg-gray-100">
<?php include "header.php";?>
    <div class="flex flex-col md:flex-row h-screen">
        <!-- Sidebar -->
        <?php include "side_bar.php";?>

        <!-- Main Content -->
        <main class="flex-1 p-6 md:ml-64">
    <!-- Top Navigation -->
     <div class="bg-white p-6 rounded-lg shadow-md w-96">
        <h2 class="text-2xl font-bold text-gray-700 mb-4">Change Password</h2>
        <form id="changePasswordForm" action="change_password.php" method="POST">
            <div class="mb-4">
                <label class="block text-gray-700">Current Password</label>
                <input type="password" name="current_password" class="w-full p-2 border border-gray-300 rounded-lg" required>
            </div>
            <div class="mb-4">
                <label class="block text-gray-700">New Password</label>
                <input type="password" name="new_password" id="new_password" class="w-full p-2 border border-gray-300 rounded-lg" required>
            </div>
            <div class="mb-4">
                <label class="block text-gray-700">Confirm New Password</label>
                <input type="password" name="confirm_password" id="confirm_password" class="w-full p-2 border border-gray-300 rounded-lg" required>
                <p id="passwordError" class="text-red-500 text-sm hidden">Passwords do not match!</p>
            </div>
            <button type="submit" class="w-full bg-[#CD7F32] text-white p-2 rounded-lg">Change Password</button>
        </form>
    </div><br><br><br>
    </main>
    <?php include "footer.php";?>
    </div>
    <script>
        $(document).ready(function() {
            $('#changePasswordForm').on('submit', function(event) {
                let newPassword = $('#new_password').val();
                let confirmPassword = $('#confirm_password').val();
                if (newPassword !== confirmPassword) {
                    event.preventDefault();
                    $('#passwordError').removeClass('hidden');
                }
            });
        });
    </script>
</body>
</html>
