<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Follow Up List</title>
    <script src="https://cdn.tailwindcss.com"></script>
</head>

<body class="bg-gray-100">

    <div class="flex h-screen">
        <!-- Sidebar -->
        <?php include "side_bar.php";?>
        
        <!-- Main Content -->
        <main class="flex-1 p-6 ml-64">
            <!-- Top Navigation -->
            <div class="flex justify-between items-center bg-white shadow p-4 rounded-lg">
                <input type="text" id="search" placeholder="Search..." class="p-2 border border-gray-300 rounded-lg w-1/3" oninput="filterTable()">
                <div class="flex items-center">
                    <span class="text-gray-700 mr-4">English</span>
                    <span class="text-gray-700 font-semibold">Techysquad</span>
                </div>
            </div>

            <!-- Table Section -->
            <div class="container mx-auto p-6">
                <h2 class="text-2xl font-bold text-gray-700 mb-4">Follow Up List</h2>

                <table class="min-w-full bg-white border border-gray-300 rounded-md">
                    <thead>
                        <tr>
                            <th class="p-4 border-b">ID</th>
                            <th class="p-4 border-b">Name</th>
                            <th class="p-4 border-b">Email</th>
                            <th class="p-4 border-b">Country</th>
                            <th class="p-4 border-b">Date</th>
                            <th class="p-4 border-b">Marketing Name</th>
                            <th class="p-4 border-b">Actions</th>
                        </tr>
                    </thead>
                    <tbody id="table-body">
                        <!-- Dynamically populate rows using PHP -->
                        <?php
                        // Example query to fetch the follow-up list (adjust to your database)
                        $query = "SELECT id, name, email, country, follow_up_date, marketing_name FROM follow_ups";
                        $result = $conn->query($query);

                        if ($result->num_rows > 0) {
                            while ($row = $result->fetch_assoc()) {
                                echo "<tr>";
                                echo "<td class='p-4'>" . $row['id'] . "</td>";
                                echo "<td class='p-4'>" . $row['name'] . "</td>";
                                echo "<td class='p-4'>" . $row['email'] . "</td>";
                                echo "<td class='p-4'>" . $row['country'] . "</td>";
                                echo "<td class='p-4'>" . $row['follow_up_date'] . "</td>";
                                echo "<td class='p-4'>" . $row['marketing_name'] . "</td>";
                                echo "<td class='p-4'><a href='update_follow_up.php?id=" . $row['id'] . "' class='text-blue-600'>Update</a></td>";
                                echo "</tr>";
                            }
                        } else {
                            echo "<tr><td colspan='7' class='p-4 text-center'>No records found</td></tr>";
                        }
                        ?>
                    </tbody>
                </table>
            </div>
        </main>
    </div>

    <!-- Footer -->
    <?php include "footer.php";?>

    <script>
        // Function to filter the table based on the search input
        function filterTable() {
            const searchInput = document.getElementById("search").value.toLowerCase();
            const tableRows = document.querySelectorAll("#table-body tr");

            tableRows.forEach(row => {
                const cells = row.querySelectorAll("td");
                let match = false;

                // Loop through each cell in the row and check if it contains the search input
                cells.forEach(cell => {
                    if (cell.textContent.toLowerCase().includes(searchInput)) {
                        match = true;
                    }
                });

                // Show or hide the row based on whether it matches the search input
                row.style.display = match ? "" : "none";
            });
        }
    </script>
</body>
</html>

</html>
