<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>IB Request List</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
</head>

<body class="bg-gray-50">
    <?php include "header.php"; ?>
    
    <div class="flex flex-col md:flex-row h-screen">
        <?php include "side_bar.php"; ?>
        
        <main class="flex-1 p-4 md:p-6 md:ml-64">
            <div class="container mx-auto">
                <h1 class="text-2xl md:text-3xl font-bold text-center mb-4 md:mb-6">IB Request List</h1>

                <!-- Responsive Table Wrapper -->
                <div class="overflow-x-auto">
                    <table class="w-full min-w-max border-collapse bg-white shadow-lg rounded-lg">
                        <thead>
                            <tr class="bg-gray-200 text-gray-600 uppercase text-xs md:text-sm leading-normal">
                                <th class="py-2 px-4 md:py-3 md:px-6 text-left">Request ID</th>
                                <th class="py-2 px-4 md:py-3 md:px-6 text-left">User ID</th>
                                <th class="py-2 px-4 md:py-3 md:px-6 text-left">Name</th>
                                <th class="py-2 px-4 md:py-3 md:px-6 text-left">Email</th>
                                <th class="py-2 px-4 md:py-3 md:px-6 text-left">Status</th>
                                <th class="py-2 px-4 md:py-3 md:px-6 text-left">Actions</th>
                            </tr>
                        </thead>
                        <tbody class="text-gray-700 text-xs md:text-sm">
                            <?php
                            $ib_requests = [
                                ["id" => 1, "user_id" => 101, "name" => "John Doe", "email" => "john@example.com", "status" => "pending"],
                                ["id" => 2, "user_id" => 102, "name" => "Jane Smith", "email" => "jane@example.com", "status" => "approved"],
                                ["id" => 3, "user_id" => 103, "name" => "Alice Brown", "email" => "alice@example.com", "status" => "pending"],
                                ["id" => 4, "user_id" => 104, "name" => "Bob Johnson", "email" => "bob@example.com", "status" => "rejected"],
                            ];

                            foreach ($ib_requests as $row) { ?>
                                <tr class="border-b border-gray-200 hover:bg-gray-100 text-center md:text-left">
                                    <td class="py-2 px-4 md:py-3 md:px-6"><?php echo $row['id']; ?></td>
                                    <td class="py-2 px-4 md:py-3 md:px-6"><?php echo $row['user_id']; ?></td>
                                    <td class="py-2 px-4 md:py-3 md:px-6"><?php echo $row['name']; ?></td>
                                    <td class="py-2 px-4 md:py-3 md:px-6 break-words"><?php echo $row['email']; ?></td>
                                    <td class="py-2 px-4 md:py-3 md:px-6">
                                        <span id="status-<?php echo $row['id']; ?>" class="px-2 md:px-3 py-1 rounded-full text-white text-xs md:text-sm
                                        <?php echo $row['status'] == 'approved' ? 'bg-green-500' : ($row['status'] == 'rejected' ? 'bg-red-500' : 'bg-yellow-500'); ?>">
                                            <?php echo ucfirst($row['status']); ?>
                                        </span>
                                    </td>
                                    <td class="py-2 px-4 md:py-3 md:px-6">
                                        <?php if ($row['status'] == 'pending') { ?>
                                            <button onclick="updateStatus(<?php echo $row['id']; ?>, 'approved')" 
                                                class="px-2 md:px-3 py-1 bg-green-500 text-white rounded text-xs md:text-sm hover:bg-green-600">
                                                Approve
                                            </button>
                                            <button onclick="updateStatus(<?php echo $row['id']; ?>, 'rejected')" 
                                                class="px-2 md:px-3 py-1 bg-red-500 text-white rounded text-xs md:text-sm hover:bg-red-600">
                                                Reject
                                            </button>
                                        <?php } else { ?>
                                            <span class="text-gray-500 text-xs md:text-sm">No Actions</span>
                                        <?php } ?>
                                    </td>
                                </tr>
                            <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </main>
    </div>
<br><br><br>
<?php include "footer.php";?>
    <script>
        function updateStatus(requestId, status) {
            $("#status-" + requestId).text(status.charAt(0).toUpperCase() + status.slice(1));
            $("#status-" + requestId).removeClass("bg-yellow-500 bg-green-500 bg-red-500")
                .addClass(status === 'approved' ? "bg-green-500" : "bg-red-500");

            // Remove buttons after updating
            $("button[onclick='updateStatus(" + requestId + ", \"approved\")']").remove();
            $("button[onclick='updateStatus(" + requestId + ", \"rejected\")']").remove();
        }
    </script>
</body>
</html>
