<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Investor PAMM Request List</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100">
    <?php include "header.php"; ?>

    <div class="flex h-screen">
        <?php include "side_bar.php"; ?>

        <main class="flex-1 p-8 ml-64">
            <div class="container mx-auto mt-10">
                <h1 class="text-3xl font-semibold text-center text-[#CD7F32] mb-6">Investor PAMM Request List</h1>

                <!-- Table for displaying PAMM Requests -->
                <div class="overflow-x-auto">
                    <table class="min-w-full bg-white border border-gray-300 rounded-lg shadow-md">
                        <thead class="bg-[#CD7F32] text-white">
                            <tr>
                                <th class="py-3 px-4 text-left">Request ID</th>
                                <th class="py-3 px-4 text-left">Investor Name</th>
                                <th class="py-3 px-4 text-left">Amount</th>
                                <th class="py-3 px-4 text-left">Requested Date</th>
                                <th class="py-3 px-4 text-left">Status</th>
                                <th class="py-3 px-4 text-left">Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            <!-- Dummy Data Rows -->
                            <tr class="border-b hover:bg-[#F8E6D1] transition">
                                <td class="py-3 px-4">1</td>
                                <td class="py-3 px-4">John Doe</td>
                                <td class="py-3 px-4">$5000</td>
                                <td class="py-3 px-4">2025-02-01</td>
                                <td class="py-3 px-4 text-green-500">Approved</td>
                                <td class="py-3 px-4 flex gap-3">
                                    <a href="approve_request.php?id=1" class="text-green-500 hover:underline">Approve</a>
                                    <a href="reject_request.php?id=1" class="text-red-500 hover:underline">Reject</a>
                                </td>
                            </tr>
                            <tr class="border-b hover:bg-[#F8E6D1] transition">
                                <td class="py-3 px-4">2</td>
                                <td class="py-3 px-4">Jane Smith</td>
                                <td class="py-3 px-4">$2000</td>
                                <td class="py-3 px-4">2025-02-02</td>
                                <td class="py-3 px-4 text-yellow-500">Pending</td>
                                <td class="py-3 px-4 flex gap-3">
                                    <a href="approve_request.php?id=2" class="text-green-500 hover:underline">Approve</a>
                                    <a href="reject_request.php?id=2" class="text-red-500 hover:underline">Reject</a>
                                </td>
                            </tr>
                            <tr class="border-b hover:bg-[#F8E6D1] transition">
                                <td class="py-3 px-4">3</td>
                                <td class="py-3 px-4">Michael Lee</td>
                                <td class="py-3 px-4">$15000</td>
                                <td class="py-3 px-4">2025-02-03</td>
                                <td class="py-3 px-4 text-red-500">Rejected</td>
                                <td class="py-3 px-4 flex gap-3">
                                    <a href="approve_request.php?id=3" class="text-green-500 hover:underline">Approve</a>
                                    <a href="reject_request.php?id=3" class="text-red-500 hover:underline">Reject</a>
                                </td>
                            </tr>
                            <tr class="border-b hover:bg-[#F8E6D1] transition">
                                <td class="py-3 px-4">4</td>
                                <td class="py-3 px-4">Emily Zhang</td>
                                <td class="py-3 px-4">$8000</td>
                                <td class="py-3 px-4">2025-02-03</td>
                                <td class="py-3 px-4 text-yellow-500">Pending</td>
                                <td class="py-3 px-4 flex gap-3">
                                    <a href="approve_request.php?id=4" class="text-green-500 hover:underline">Approve</a>
                                    <a href="reject_request.php?id=4" class="text-red-500 hover:underline">Reject</a>
                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </main>

        <?php include "footer.php"; ?>
    </div>
</body>
</html>
