<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Table Actions</title>
    <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="bg-gray-100">
<?php include "header.php";?>
<div class="flex flex-col md:flex-row h-screen">
    <!-- Sidebar -->
    <?php include "side_bar.php";?>

    <!-- Main Content -->
    <main class="flex-1 p-6 md:ml-64">
        <!-- Top Navigation -->
        <div class="container mx-auto bg-white p-6 shadow-lg rounded-lg">
        <h2 class="text-2xl font-bold mb-4 text-gray-700">Client List</h2>

        <table class="min-w-full border-collapse border border-gray-300" id="data-table">
            <thead class="bg-[#CD7F32]">
                <tr>
                    <th class="p-3 border">Serial No.</th>
                    <th class="p-3 border">Name</th>
                    <th class="p-3 border">Phone</th>
                    <th class="p-3 border">Email</th>
                    <th class="p-3 border">Country</th>
                    <th class="p-3 border">Action</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td class="p-3 border text-center">1</td>
                    <td class="p-3 border">John Smith</td>
                    <td class="p-3 border">0987654321</td>
                    <td class="p-3 border">john@example.com</td>
                    <td class="p-3 border">USA</td>
               <td class="p-3 border flex space-x-2">
    <button onclick="viewRow(this)" class="px-4 py-2 text-gray-800 bg-[#E8C9A3] rounded-md hover:bg-[#DFC19A] transition">View</button>
    <button onclick="editRow(this)" class="px-4 py-2 text-gray-800 bg-[#D6B392] rounded-md hover:bg-[#CBAE88] transition">Edit</button>
    <button onclick="deleteRow(this)" class="px-4 py-2 text-gray-800 bg-[#E5A07A] rounded-md hover:bg-[#DA9972] transition">Delete</button>
    <button onclick="assignRow(this)" class="px-4 py-2 text-gray-800 bg-[#E5C298] rounded-md hover:bg-[#D9B88E] transition">Assign</button>
    <button onclick="convertRow(this)" class="px-4 py-2 text-gray-800 bg-[#D9A680] rounded-md hover:bg-[#CE9E78] transition">Convert</button>
</td>


                </tr>
                <tr>
                    <td class="p-3 border text-center">2</td>
                    <td class="p-3 border">Emma Watson</td>
                    <td class="p-3 border">9876543210</td>
                    <td class="p-3 border">emma@example.com</td>
                    <td class="p-3 border">UK</td>
                    <td class="p-3 border flex space-x-2">
    <button onclick="viewRow(this)" class="px-4 py-2 text-gray-800 bg-[#E8C9A3] rounded-md hover:bg-[#DFC19A] transition">View</button>
    <button onclick="editRow(this)" class="px-4 py-2 text-gray-800 bg-[#D6B392] rounded-md hover:bg-[#CBAE88] transition">Edit</button>
    <button onclick="deleteRow(this)" class="px-4 py-2 text-gray-800 bg-[#E5A07A] rounded-md hover:bg-[#DA9972] transition">Delete</button>
    <button onclick="assignRow(this)" class="px-4 py-2 text-gray-800 bg-[#E5C298] rounded-md hover:bg-[#D9B88E] transition">Assign</button>
    <button onclick="convertRow(this)" class="px-4 py-2 text-gray-800 bg-[#D9A680] rounded-md hover:bg-[#CE9E78] transition">Convert</button>
</td>


                </tr>
            </tbody>
        </table>
    </div></main>
    <?php include "footer.php";?>
    </div>

    <script>
        // View Action
        function viewRow(button) {
            let row = button.parentNode.parentNode;
            let name = row.cells[1].innerText;
            let phone = row.cells[2].innerText;
            let email = row.cells[3].innerText;
            let country = row.cells[4].innerText;
            alert(`Name: ${name}\nPhone: ${phone}\nEmail: ${email}\nCountry: ${country}`);
        }

        // Edit Action
        function editRow(button) {
            let row = button.parentNode.parentNode;
            let name = prompt("Enter new name:", row.cells[1].innerText);
            let phone = prompt("Enter new phone:", row.cells[2].innerText);
            let email = prompt("Enter new email:", row.cells[3].innerText);
            let country = prompt("Enter new country:", row.cells[4].innerText);

            if (name && phone && email && country) {
                row.cells[1].innerText = name;
                row.cells[2].innerText = phone;
                row.cells[3].innerText = email;
                row.cells[4].innerText = country;
            }
        }

        // Delete Action
        function deleteRow(button) {
            let row = button.parentNode.parentNode;
            if (confirm("Are you sure you want to delete this row?")) {
                row.remove();
            }
        }

        // Assign To Action
        function assignRow(button) {
    let row = button.parentNode.parentNode;
    let name = row.cells[1].innerText;

    // Create a modal-like prompt
    let teams = ["Sales Team", "Marketing Team", "Support Team", "Development Team"];
    let select = document.createElement("select");
    select.className = "border p-2 rounded";

    // Add team options
    teams.forEach(team => {
        let option = document.createElement("option");
        option.value = team;
        option.textContent = team;
        select.appendChild(option);
    });

    // Create confirmation button
    let confirmButton = document.createElement("button");
    confirmButton.textContent = "Confirm";
    confirmButton.className = "ml-2 px-3 py-1 bg-blue-500 text-white rounded cursor-pointer";
    confirmButton.onclick = function() {
        let selectedTeam = select.value;
        alert(`${name} has been assigned to ${selectedTeam}`);
        document.body.removeChild(modal);
    };

    // Create a modal div
    let modal = document.createElement("div");
    modal.className = "fixed inset-0 flex items-center justify-center bg-gray-900 bg-opacity-50";
    modal.innerHTML = `
        <div class="bg-white p-6 rounded-lg shadow-lg">
            <h3 class="text-lg font-semibold mb-2">Assign ${name} to:</h3>
        </div>
    `;

    // Append dropdown and button to modal
    modal.children[0].appendChild(select);
    modal.children[0].appendChild(confirmButton);
    document.body.appendChild(modal);
}


        // Convert Action
        function convertRow(button) {
            let row = button.parentNode.parentNode;
            let name = row.cells[1].innerText;
            if (confirm(`Convert ${name} to a premium user?`)) {
                alert(`${name} has been converted to a premium user`);
            }
        }
    </script>

</body>
</html>
