<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Marketing Withdrawal Report</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100">
<?php include "header.php";?>
    <div class="flex h-screen">
        <!-- Sidebar -->
        <?php include "side_bar.php";?>
        
        <!-- Main Content -->
        <main class="flex-1 p-6 ml-64">
            <div class="container mx-auto mt-10">
                <h1 class="text-3xl font-bold text-center mb-6">Marketing Withdrawal Report</h1>
                <!-- Table to display Marketing Withdrawals -->
                <table class="min-w-full bg-white border border-gray-300 rounded-lg shadow-md">
                    <thead>
                        <tr class="bg-[#CD7F32] text-white">
                            <th class="px-6 py-3 text-left">Transaction ID</th>
                            <th class="px-6 py-3 text-left">User</th>
                            <th class="px-6 py-3 text-left">Amount</th>
                            <th class="px-6 py-3 text-left">Status</th>
                            <th class="px-6 py-3 text-left">Date</th>
                            <th class="px-6 py-3 text-left">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr class="border-b border-gray-200">
                            <td class="px-6 py-3">TXN001</td>
                            <td class="px-6 py-3">John Doe</td>
                            <td class="px-6 py-3">$500.00</td>
                            <td class="px-6 py-3">Approved</td>
                            <td class="px-6 py-3">2024-02-01</td>
                            <td class="px-6 py-3">
                                <a href="#" class="text-blue-600 hover:text-blue-800">Edit</a>
                                <span class="mx-2">|</span>
                                <a href="#" class="text-red-600 hover:text-red-800">Delete</a>
                            </td>
                        </tr>
                        <tr class="border-b border-gray-200">
                            <td class="px-6 py-3">TXN002</td>
                            <td class="px-6 py-3">Jane Smith</td>
                            <td class="px-6 py-3">$750.00</td>
                            <td class="px-6 py-3">Pending</td>
                            <td class="px-6 py-3">2024-02-02</td>
                            <td class="px-6 py-3">
                                <a href="#" class="text-blue-600 hover:text-blue-800">Edit</a>
                                <span class="mx-2">|</span>
                                <a href="#" class="text-red-600 hover:text-red-800">Delete</a>
                            </td>
                        </tr>
                        <tr class="border-b border-gray-200">
                            <td class="px-6 py-3">TXN003</td>
                            <td class="px-6 py-3">Michael Johnson</td>
                            <td class="px-6 py-3">$1,200.00</td>
                            <td class="px-6 py-3">Rejected</td>
                            <td class="px-6 py-3">2024-02-03</td>
                            <td class="px-6 py-3">
                                <a href="#" class="text-blue-600 hover:text-blue-800">Edit</a>
                                <span class="mx-2">|</span>
                                <a href="#" class="text-red-600 hover:text-red-800">Delete</a>
                            </td>
                        </tr>
                    </tbody>
                </table>
                
                <!-- Option to add a new marketing withdrawal -->
                <div class="mt-6 text-center">
                    <a href="#" class="py-2 px-4 bg-[#CD7F32] text-white rounded-md shadow-md hover:bg-[#CD7F32] transition duration-300">Add New Withdrawal</a>
                </div>
            </div>
        </main>
    </div>
<?php include "footer.php";?>
</body>
</html>
