
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Admin Profile</title>
    <script src="https://cdn.tailwindcss.com"></script>
</head>
<body class="bg-gray-100 flex flex-col items-center p-6">

    <div class="w-full max-w-4xl bg-white p-6 rounded-lg shadow-md">
        <h1 class="text-2xl font-semibold text-orange-600 mb-6">Admin Profile</h1>

        <form action="profile.php" method="POST" enctype="multipart/form-data">
            <!-- Admin Profile Image -->
            <div class="flex justify-center mb-4">
                <img src="<?php echo $admin['profile_picture'] ? $admin['profile_picture'] : 'default.jpg'; ?>" alt="Admin Profile" class="w-32 h-32 rounded-full border-2 border-orange-600">
            </div>

            <!-- Profile Picture Upload -->
            <div class="mb-4">
                <label for="profile_picture" class="block text-sm font-medium text-gray-700">Change Profile Picture</label>
                <input type="file" id="profile_picture" name="profile_picture" class="mt-1 p-2 border border-gray-300 rounded-md">
            </div>

            <!-- Name -->
            <div class="mb-4">
                <label for="name" class="block text-sm font-medium text-gray-700">Name</label>
                <input type="text" id="name" name="name" value="<?php echo $admin['name']; ?>" class="mt-1 p-2 border border-gray-300 rounded-md w-full" required>
            </div>

            <!-- Email -->
            <div class="mb-4">
                <label for="email" class="block text-sm font-medium text-gray-700">Email</label>
                <input type="email" id="email" name="email" value="<?php echo $admin['email']; ?>" class="mt-1 p-2 border border-gray-300 rounded-md w-full" required>
            </div>

            <!-- Password -->
            <div class="mb-4">
                <label for="password" class="block text-sm font-medium text-gray-700">Password</label>
                <input type="password" id="password" name="password" value="<?php echo $admin['password']; ?>" class="mt-1 p-2 border border-gray-300 rounded-md w-full" required>
            </div>

            <div class="flex justify-between items-center mt-6">
                <button type="submit" class="bg-orange-600 text-white py-2 px-4 rounded-md">Update Profile</button>
            </div>
        </form>
    </div>

</body>
</html>
