<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
   
    <style>
        body {
            font-family: Arial, sans-serif;
        }
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #ddd;
            padding: 8px;
            text-align: left;
        }
        th {
            background-color: #f2f2f2;
        }
        .action-buttons {
            display: flex;
            flex-direction: column;
            gap: 5px;
        }
        .btn {
            padding: 5px 10px;
            border: none;
            color: white;
            cursor: pointer;
            border-radius: 5px;
        }
        .open {
            background-color: orange;
        }
        .close {
            background-color: darkorange;
        }
    </style>
     <script>
        function filterTable() {
            let input = document.getElementById("searchInput").value.toLowerCase();
            let table = document.getElementById("dataTable");
            let tr = table.getElementsByTagName("tr");
            
            for (let i = 1; i < tr.length; i++) {
                let td = tr[i].getElementsByTagName("td");
                let found = false;
                for (let j = 0; j < td.length; j++) {
                    if (td[j] && td[j].innerHTML.toLowerCase().indexOf(input) > -1) {
                        found = true;
                        break;
                    }
                }
                tr[i].style.display = found ? "" : "none";
            }
        }
    </script>
</head>
<body class="bg-gray-100">
<?php include "header.php";?>
    <div class="flex flex-col md:flex-row h-screen bg-white">
        <!-- Sidebar -->
        <?php include "side_bar.php";?>

        <!-- Main Content -->
        <main class="flex-1 p-6 md:ml-64">
    <!-- Top Navigation -->

 

   

    <label for="entries" class="bg-white">Show 
        <select id="entries">
            <option>10</option>
            <option>25</option>
            <option>50</option>
        </select> entries
    </label>
    <input type="text" id="searchInput" placeholder="Search..." onkeyup="filterTable()">
    <table id="dataTable">
        <thead>
            <tr>
                <th>Name</th>
                <th>Login</th>
                <th>Balance</th>
                <th>Credit</th>
                <th>EquityPrevDay</th>
                <th>Equity</th>
                <th>Floating</th>
                <th>Net Deposit</th>
                <th>Current Profit</th>
                <th>Total Profit</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>Contact TS</td>
                <td>100007484</td>
                <td>0</td>
                <td>1000</td>
                <td>1000</td>
                <td>1000</td>
                <td>0</td>
                <td>0</td>
                <td>0</td>
                <td>0</td>
                <td class="action-buttons">
                    <button class="btn open"><a href="open_position.php">Open Positions</a></button>
                    <button class="btn close">Close Deals</button>
                </td>
            </tr>
            <tr>
                <td>Contact TS</td>
                <td>105007439</td>
                <td>1.21</td>
                <td>0</td>
                <td>1.21</td>
                <td>1.21</td>
                <td>0</td>
                <td>0</td>
                <td>0</td>
                <td>1.21</td>
                <td class="action-buttons">
                    <button class="btn open">Open Positions</button>
                    <button class="btn close">Close Deals</button>
                </td>
            </tr>
            <!-- Add more dummy rows as needed -->
        </tbody>
    </table>


</main>
<?php include "footer.php";?>
</div>
</body>
</html>
