<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Send Email</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100">
    <?php include "header.php"; ?>

    <div class="flex h-screen">
        <?php include "side_bar.php"; ?>

        <main class="flex-1 p-8 ml-64">
            <div class="container mx-auto mt-10">
                <h1 class="text-3xl font-semibold text-center text-[#CD7F32] mb-6">Send Email</h1>

                <!-- Email Form -->
                <form action="send_email.php" method="POST" class="max-w-4xl mx-auto bg-white p-6 rounded-lg shadow-md">
                    <div class="mb-4">
                        <label for="send_to" class="block text-lg font-semibold text-gray-700">Send Email To:</label>
                        <select name="send_to" id="send_to" class="w-full px-4 py-2 border border-gray-300 rounded-md mt-2" required>
                            <option value="all_users">All Users</option>
                            <option value="selected_user">Selected User</option>
                        </select>
                    </div>

                    <!-- If "Selected User" is chosen, show email field -->
                    <div id="selected_user_email" class="mb-4 hidden">
                        <label for="receiver_email" class="block text-lg font-semibold text-gray-700">Receiver Email:</label>
                        <input type="email" name="receiver_email" id="receiver_email" class="w-full px-4 py-2 border border-gray-300 rounded-md mt-2" placeholder="Enter receiver email">
                    </div>

                    <div class="mb-4">
                        <label for="subject" class="block text-lg font-semibold text-gray-700">Subject:</label>
                        <input type="text" name="subject" id="subject" class="w-full px-4 py-2 border border-gray-300 rounded-md mt-2" required>
                    </div>

                    <div class="mb-4">
                        <label for="message" class="block text-lg font-semibold text-gray-700">Message:</label>
                        <textarea name="message" id="message" rows="6" class="w-full px-4 py-2 border border-gray-300 rounded-md mt-2" required></textarea>
                    </div>

                    <button type="submit" class="w-full py-3 bg-[#CD7F32] text-white font-bold rounded-md shadow-md hover:bg-[#B36F2B] transition duration-300">
                        Send Email
                    </button>
                </form>
            </div><br><br>
        </main>

        <?php include "footer.php"; ?>
    </div>

    <script>
        // Show the receiver email input if "Selected User" is selected
        const sendToSelect = document.getElementById('send_to');
        const receiverEmailInput = document.getElementById('selected_user_email');

        sendToSelect.addEventListener('change', function() {
            if (this.value === 'selected_user') {
                receiverEmailInput.classList.remove('hidden');
            } else {
                receiverEmailInput.classList.add('hidden');
            }
        });
    </script>
</body>
</html>
