<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <script src="https://kit.fontawesome.com/a076d05399.js"></script>
</head>
<body class="bg-[#CD7F32]">

  <style>/* Hide scrollbar for Chrome, Safari, and Edge */
.custom-scrollbar::-webkit-scrollbar {
    width: 0px;
    background: transparent;
}

/* Hide scrollbar for Firefox */
.custom-scrollbar {
    scrollbar-width: none;
}

/* Hide scrollbar for Internet Explorer and Edge */
.custom-scrollbar {
    -ms-overflow-style: none;
}
</style>
  <!-- Sidebar -->
<aside id="sidebar" class="bg-white shadow-md p-4 w-64 fixed top-0 left-0 h-full z-50 md:block hidden overflow-y-auto max-h-screen custom-scrollbar">
    <button id="closeSidebar" class="text-gray-700 absolute top-4 right-4 md:hidden">
        <i class="fas fa-times"></i> <!-- Close Icon -->
    </button>
    <nav class="mt-6">
        <ul>
            <li class="py-3 flex items-center">
                <img src="https://fxcapmarket.com/adminnew/images/democ.png">
            </li>

            <!-- Dashboard -->
            <li class="py-3 flex items-center hover:bg-[#CD7F32] rounded-md transition-all duration-200">
                <i class="fas fa-tachometer-alt mr-3 text-gray-700"></i>
                <a href="dashboard.php" class="text-gray-700">Dashboard</a>
            </li>

            <!-- User Management -->
            <li class="py-3 flex items-center relative group">
                <i class="fas fa-users mr-3 text-gray-700"></i>
                <a href="#" class="text-gray-700">User Management</a>
                <button class="absolute right-0 text-gray-700 focus:outline-none">
                    <i class="fas fa-chevron-down"></i>
                </button>
                <ul class="absolute left-0 top-full w-48 bg-white shadow-md hidden group-hover:block rounded-lg overflow-hidden z-10">
                    <h4 class="text-gray-600 px-4 py-2 bg-[#CD7F32]">User Management</h4>
                    <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="add_user.php">Add User</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="delete_user.php">Delete User</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="user_list.php">User List</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="create_mt5_account.php">Create MT5 Account</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="follow_up_list.php">Follow Up List</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="pending_document.php">Pending Document</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="approved_document.php">Approved Document</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="upload_user_document.php">Upload User Document</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="add_bank_details.php">Add Bank Details</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="bank_detail_list.php">Bank Details List</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="change_password.php">Change User Password</a></li>
                       <!-- <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="#">Add Existing Client</a></li>-->
                                                <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="change_mt5_password.php">Change Mt5 Password</a></li>
                                                                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="change_mt5_leverage.php">Update MT5 Leverage</a></li>
</ul>
            </li>

            <!-- Bonus -->
            <li class="py-3 flex items-center hover:bg-[#CD7F32] rounded-md transition-all duration-200">
                <i class="fas fa-gift mr-3 text-gray-700"></i>
                <a href="add_bonus.php" class="text-gray-700">Bonus</a>
            </li>

            <!-- IB Management -->
            <li class="py-3 flex items-center relative group">
                <i class="fas fa-users mr-3 text-gray-700"></i>
                <a href="#" class="text-gray-700">IB Management</a>
                <button class="absolute right-0 text-gray-700 focus:outline-none">
                    <i class="fas fa-chevron-down"></i>
                </button>
                <ul class="absolute left-0 top-full w-48 bg-white shadow-md hidden group-hover:block rounded-lg overflow-hidden z-10">
                    <h4 class="text-gray-600 px-4 py-2 bg-[#CD7F32]">IB Management</h4>
                    <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="ib_users.php">IB Users</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="ib_request.php">IB Requests</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="ib_plan_list.php">IB Plan</a></li>
                                                <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="commission_list.php">Commission Group</a></li>
                                                                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="add_ib_commission.php">Set IB Commission</a></li>
                                                                                                <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="add_client_ib.php">Move Client to IB</a></li>



                      </ul>
            </li>

            <!-- Group Management -->
            <li class="py-3 flex items-center relative group">
                <i class="fas fa-users mr-3 text-gray-700"></i>
                <a href="#" class="text-gray-700">Group Management</a>
                <button class="absolute right-0 text-gray-700 focus:outline-none">
                    <i class="fas fa-chevron-down"></i>
                </button>
                <ul class="absolute left-0 top-full w-48 bg-white shadow-md hidden group-hover:block rounded-lg overflow-hidden z-10">
                    
                                        <h4 class="text-gray-600 px-4 py-2 bg-[#CD7F32]">Group Management</h4>
<li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="add_group.php">ADD Group</a></li>
                    <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="group_list.php">Group List</a></li>
                    <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="add_mt5_group.php">ADD MT5 Group</a></li>
                </ul>
            </li>

            <!-- Transaction -->
            <li class="py-3 flex items-center relative group">
                <i class="fas fa-users mr-3 text-gray-700"></i>
                <a href="#" class="text-gray-700">Transaction</a>
                <button class="absolute right-0 text-gray-700 focus:outline-none">
                    <i class="fas fa-chevron-down"></i>
                </button>
                <ul class="absolute left-0 top-full w-48 bg-white shadow-md hidden group-hover:block rounded-lg overflow-hidden z-10">
                    <h4 class="text-gray-600 px-4 py-2 bg-[#CD7F32]">Transaction</h4>
                    <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="#">Client Deposit</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="#">Client Withdrawal</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="wallet_deposit.php">Wallet Deposit</a></li>                      
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="wallet_withdrawal.php">Wallet Withdrawal</a></li>
                                                <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="ib_withdrawal.php">IB Withdrawal</a></li>
                                                                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="internal_transfer.php">Internal Transfer</a></li>
                                                                                                <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="pending_deposit.php">Pending Deposit</a></li>
                                                                                                <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="pending_withdrawal.php">Pending Withdrawal</a></li>
                                                                                          <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="pending_ib_withdrawal.php">Pending IB Withdrawal</a></li>

  </ul>
            </li>

            <!-- Marketing -->
             <li class="py-3 flex items-center relative group">
                <i class="fas fa-users mr-3 text-gray-700"></i>
                <a href="#" class="text-gray-700">Marketing</a>
                <button class="absolute right-0 text-gray-700 focus:outline-none">
                    <i class="fas fa-chevron-down"></i>
                </button>
                <ul class="absolute left-0 top-full w-48 bg-white shadow-md hidden group-hover:block rounded-lg overflow-hidden z-10">
                    <h4 class="text-gray-600 px-4 py-2 bg-[#CD7F32]">Marketing</h4>
                    <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="add_marketing.php">Add Marketing</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="marketing_list.php">Marketing List</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="incentive_list.php">Incentive Report</a></li>                      
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="mark_withdraw_report.php">Marketing Withdraw Report</a></li>
                                                <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="bulk_upload.php">Bulk Lead Upload</a></li>
                                                                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="load_list">Load List</a></li>
                                                                                                
  </ul>
            </li>

            <!-- Pamm Copier -->
             <li class="py-3 flex items-center relative group">
                <i class="fas fa-users mr-3 text-gray-700"></i>
                <a href="#" class="text-gray-700">Pamm Copier</a>
                <button class="absolute right-0 text-gray-700 focus:outline-none">
                    <i class="fas fa-chevron-down"></i>
                </button>
                <ul class="absolute left-0 top-full w-48 bg-white shadow-md hidden group-hover:block rounded-lg overflow-hidden z-10">
                    <h4 class="text-gray-600 px-4 py-2 bg-[#CD7F32]">Pamm Copier</h4>
                    <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="investor_pamm_request.php">PAMM Investor Requests</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="manager_pamm_request.php">PAMM MM Requests</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="slave_copier_request.php">Slave Copier Requests</a></li>                      
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="master_copier_request.php">Master Copier Requests</a></li>
                                                                          
  </ul>
            </li>

            <!-- Send Email -->
            <li class="py-3 flex items-center hover:bg-[#CD7F32] rounded-md transition-all duration-200">
                <i class="fas fa-envelope mr-3 text-gray-700"></i>
                <a href="send_email.php" class="text-gray-700">Send Email</a>
            </li>

            <!-- News -->
            <li class="py-3 flex items-center hover:bg-[#CD7F32] rounded-md transition-all duration-200">
                <i class="fas fa-newspaper mr-3 text-gray-700"></i>
                <a href="news.php" class="text-gray-700">News</a>
            </li>

            <!-- Notification -->
            <li class="py-3 flex items-center hover:bg-[#CD7F32] rounded-md transition-all duration-200">
                <i class="fas fa-bell mr-3 text-gray-700"></i>
                <a href="#" class="text-gray-700">Notification</a>
            </li>

            <!-- Rewards Management -->
            <li class="py-3 flex items-center relative group">
                <i class="fas fa-users mr-3 text-gray-700"></i>
                <a href="#" class="text-gray-700">Reward Management</a>
                <button class="absolute right-0 text-gray-700 focus:outline-none">
                    <i class="fas fa-chevron-down"></i>
                </button>
                <ul class="absolute left-0 top-full w-48 bg-white shadow-md hidden group-hover:block rounded-lg overflow-hidden z-10">
                    <h4 class="text-gray-600 px-4 py-2 bg-[#CD7F32]">Reward Management</h4>
                    <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="add_reward.php">ADD Rewards</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="reward_list.php">Rewards List</a></li>
                                                                          
  </ul>
            </li>


            <!-- All Reports -->
            <li class="py-3 flex items-center hover:bg-[#CD7F32] rounded-md transition-all duration-200">
                <i class="fas fa-chart-line mr-3 text-gray-700"></i>
                <a href="#" class="text-gray-700">All Reports</a>
            </li>
                        <li class="py-3 flex items-center relative group">
                <i class="fas fa-users mr-3 text-gray-700"></i>
                <a href="#" class="text-gray-700">Risk Management Reports</a>
                <button class="absolute right-0 text-gray-700 focus:outline-none">
                    <i class="fas fa-chevron-down"></i>
                </button>
                <ul class="absolute left-0 top-full w-48 bg-white shadow-md hidden group-hover:block rounded-lg overflow-hidden z-10">
                    <h4 class="text-gray-600 px-4 py-2 bg-[#CD7F32]">Risk Management Report</h4>
                    <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="risk_management_profit.php">Profit Risk Report</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="#">scalping Trade Report</a></li>
                                                                          
  </ul>
            </li>
             <li class="py-3 flex items-center hover:bg-[#CD7F32] rounded-md transition-all duration-200">
                <i class="fas fa-chart-line mr-3 text-gray-700"></i>
                <a href="#" class="text-gray-700">Tickets</a>
            </li>
                          <li class="py-3 flex items-center relative group">
                <i class="fas fa-users mr-3 text-gray-700"></i>
                <a href="#" class="text-gray-700">Settings</a>
                <button class="absolute right-0 text-gray-700 focus:outline-none">
                    <i class="fas fa-chevron-down"></i>
                </button>
                <ul class="absolute left-0 top-full w-48 bg-white shadow-md hidden group-hover:block rounded-lg overflow-hidden z-10">
                    <h4 class="text-gray-600 px-4 py-2 bg-[#CD7F32]">Settings</h4>
                    <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="#">Deposit Bank Details</a></li>
                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="#">Promotion List</a></li>
                                                <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="#">PSP Setting</a></li>
                                                                        <li class="py-2 px-4 hover:bg-[#CD7F32]"><a href="#">Default Setting</a></li>


                                                                          
  </ul>
            </li>
            
        </ul>
    </nav>
</aside>

    <!-- Sidebar Toggle Button for Small Screens -->
    <button id="sidebarToggle" class="md:hidden p-4 text-gray-700 bg-white border border-gray-300 rounded-md fixed top-4 left-4 z-50 focus:outline-none transition-all duration-300 ease-in-out">
        <i class="fas fa-bars"></i> <!-- Hamburger icon -->
    </button>

    <!-- Main Content -->
   

    <script>
        // Sidebar Toggle Script for Small Screens
        const sidebarToggle = document.getElementById('sidebarToggle');
        const sidebar = document.getElementById('sidebar');
        const closeSidebar = document.getElementById('closeSidebar');
        const mainContent = document.getElementById('main-content');

        sidebarToggle.addEventListener('click', function () {
            sidebar.classList.toggle('hidden');
        });

        closeSidebar.addEventListener('click', function () {
            sidebar.classList.add('hidden');
        });
    </script>
    <script>document.addEventListener("DOMContentLoaded", function () {
    document.querySelectorAll(".dropdown-toggle").forEach((dropdownToggle) => {
        dropdownToggle.addEventListener("click", function (event) {
            event.stopPropagation(); // Prevent event from bubbling up

            // Close all dropdowns except the one being clicked
            document.querySelectorAll(".dropdown-menu.show").forEach((menu) => {
                if (menu !== this.nextElementSibling) {
                    menu.classList.remove("show");
                }
            });

            // Toggle the clicked dropdown
            this.nextElementSibling.classList.toggle("show");
        });
    });

    // Close dropdowns when clicking outside
    document.addEventListener("click", function () {
        document.querySelectorAll(".dropdown-menu.show").forEach((menu) => {
            menu.classList.remove("show");
        });
    });
});
</script>
</body>
</html>
