<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Client Deposit</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100">
    <?php include "header.php"; ?>
    
    <div class="flex flex-col md:flex-row min-h-screen">
        <!-- Sidebar -->
        <?php include "side_bar.php"; ?>
        
        <!-- Main Content -->
        <main class="flex-1 p-6 md:ml-64">
            <div class="container mx-auto max-w-xl bg-white p-6 rounded-lg shadow-lg">
                <h1 class="text-3xl font-bold text-center mb-6 text-[#CD7F32]">Client Deposit</h1>

                <!-- Deposit Form -->
                <form action="Deposit.php" method="POST" class="space-y-4">
                    <!-- Select Client -->
                    <div>
                        <label for="client_id" class="block text-lg font-medium text-gray-700">Select Client:</label>
                        <select id="client_id" name="client_id" class="w-full px-4 py-2 border rounded focus:ring-2 focus:ring-[#CD7F32]" required>
                            <option value="">-- Select Client --</option>
                            <?php foreach ($clients as $id => $name): ?>
                                <option value="<?php echo $id; ?>"><?php echo $name; ?></option>
                            <?php endforeach; ?>
                        </select>
                    </div>
                    
                    <!-- Deposit Amount -->
                    <div>
                        <label for="amount" class="block text-lg font-medium text-gray-700">Deposit Amount:</label>
                        <input type="number" id="amount" name="amount" class="w-full px-4 py-2 border rounded focus:ring-2 focus:ring-[#CD7F32]" required placeholder="Enter Deposit amount" min="1">
                    </div>

                    <!-- Comment -->
                    <div>
                        <label for="comment" class="block text-lg font-medium text-gray-700">Comment:</label>
                        <textarea id="comment" name="comment" class="w-full px-4 py-2 border rounded focus:ring-2 focus:ring-[#CD7F32]" rows="3" placeholder="Optional comment"></textarea>
                    </div>

                    <!-- Submit Button -->
                    <div>
                        <button type="submit" class="w-full py-3 bg-[#CD7F32] text-white font-semibold rounded shadow-md hover:bg-blue-700 transition duration-300">Process Deposit</button>
                    </div>
                </form>
            </div>
        </main>
    </div>
    
    <?php include "footer.php"; ?>
</body>
</html>
