<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Account List</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <style>
        /* Modal Styles */
        .modal {
            display: none;
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.5);
            justify-content: center;
            align-items: center;
            padding: 10px;
        }
        .modal-content {
            background-color: white;
            padding: 15px;
            border-radius: 8px;
            width: 90%;
            max-width: 600px;
            font-size: 14px;
        }
        .modal-body {
            display: grid;
            grid-template-columns: 1fr;
            gap: 10px;
        }
        .modal-footer {
            text-align: right;
            margin-top: 10px;
        }
        .close-btn {
            background-color: #CD7F32;
            color: white;
            padding: 6px 12px;
            border-radius: 5px;
            cursor: pointer;
        }
    </style>
</head>
<body class="bg-gray-100 text-sm md:text-base">
    <?php include "header.php";?>
    <div class="flex flex-col md:flex-row h-screen">
        <?php include "side_bar.php";?>
        <main class="flex-1 p-4 md:p-6 md:ml-64">
            <div class="overflow-x-auto">
                <table class="min-w-full bg-white border border-gray-300 rounded-md text-xs md:text-sm">
                    <thead class="bg-gray-200">
                        <tr class="text-gray-700">
                            <th class="p-2 md:p-3 border-b text-left">Serial No.</th>
                            <th class="p-2 md:p-3 border-b text-left">MT5 ID</th>
                            <th class="p-2 md:p-3 border-b text-left">Account Type</th>
                            <th class="p-2 md:p-3 border-b text-left">Name</th>
                            <th class="p-2 md:p-3 border-b text-left">Date</th>
                            <th class="p-2 md:p-3 border-b text-left">Action</th>
                        </tr>
                    </thead>
                    <tbody class="text-gray-600">
                        <tr class="border-b hover:bg-gray-100">
                            <td class="p-2 md:p-3">1</td>
                            <td class="p-2 md:p-3">12345678</td>
                            <td class="p-2 md:p-3">Standard</td>
                            <td class="p-2 md:p-3">John Doe</td>
                            <td class="p-2 md:p-3">2025-01-28</td>
                            <td class="p-2 md:p-3">
                                <button onclick="openModal(1)" class="text-white bg-[#CD7F32] hover:bg-blue-700 py-1 px-3 rounded-md">
                                    View
                                </button>
                            </td>
                        </tr>
                        <tr class="border-b hover:bg-gray-100">
                            <td class="p-2 md:p-3">2</td>
                            <td class="p-2 md:p-3">23456789</td>
                            <td class="p-2 md:p-3">Mini</td>
                            <td class="p-2 md:p-3">Jane Smith</td>
                            <td class="p-2 md:p-3">2025-02-02</td>
                            <td class="p-2 md:p-3">
                                <button onclick="openModal(2)" class="text-white bg-[#CD7F32] hover:bg-blue-700 py-1 px-3 rounded-md">
                                    View
                                </button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </main>
    </div>
    <?php include "footer.php";?>
    <div id="viewModal" class="modal">
        <div class="modal-content">
            <div class="font-bold mb-3">Account Details</div>
            <div id="modalBody" class="modal-body"></div>
            <div class="modal-footer">
                <button class="close-btn" onclick="closeModal()">Close</button>
            </div>
        </div>
    </div>
    <script>
        function openModal(accountId) {
            let modalBody = document.getElementById('modalBody');
            let accountData = {
                1: { loginId: '12345678', balance: '$5000', profit: '$500', equity: '$5500' },
                2: { loginId: '23456789', balance: '$2000', profit: '$200', equity: '$2200' }
            };
            let account = accountData[accountId];
            modalBody.innerHTML = `
                <p><strong>Login ID:</strong> ${account.loginId}</p>
                <p><strong>Balance:</strong> ${account.balance}</p>
                <p><strong>Profit:</strong> ${account.profit}</p>
                <p><strong>Equity:</strong> ${account.equity}</p>
            `;
            document.getElementById('viewModal').style.display = 'flex';
        }
        function closeModal() {
            document.getElementById('viewModal').style.display = 'none';
        }
    </script>
</body>
</html>
