<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Bank Withdraw</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-50">
<?php include "header.php"; ?>
<div class="flex h-screen">
    <?php include "side_bar.php"; ?>

    <main class="flex-1 p-8 ml-64">
        <div class="flex items-center justify-center min-h-screen bg-gray-50">
            <div class="container mx-auto">
                <h1 class="text-4xl font-bold text-center mb-6 text-[#CD7F32]">Bank Withdraw</h1>

                <!-- Withdraw Form -->
                <form action="add_bank_withdraw.php" method="POST" class="max-w-3xl mx-auto bg-white p-10 rounded-lg shadow-xl border border-gray-200">
                    
                    <div class="grid grid-cols-1 md:grid-cols-2 gap-6">
                        <!-- Account Name -->
                        <div>
                            <label for="account_name" class="block text-[#CD7F32] text-lg font-semibold uppercase tracking-wide mb-2">Account Name:</label>
                            <input type="text" id="account_name" name="account_name" class="w-full px-4 py-3 border border-gray-300 rounded-lg focus:ring-2 focus:ring-[#CD7F32]" required placeholder="Enter account name">
                        </div>

                        <!-- Account Number -->
                        <div>
                            <label for="account_number" class="block text-[#CD7F32] text-lg font-semibold uppercase tracking-wide mb-2">Account Number:</label>
                            <input type="text" id="account_number" name="account_number" class="w-full px-4 py-3 border border-gray-300 rounded-lg focus:ring-2 focus:ring-[#CD7F32]" required placeholder="Enter account number">
                        </div>

                        <!-- Amount -->
                        <div>
                            <label for="amount" class="block text-[#CD7F32] text-lg font-semibold uppercase tracking-wide mb-2">Withdraw Amount:</label>
                            <input type="number" id="amount" name="amount" class="w-full px-4 py-3 border border-gray-300 rounded-lg focus:ring-2 focus:ring-[#CD7F32]" required placeholder="Enter Withdraw amount" min="1">
                        </div>

                        <!-- Comment -->
                        <div>
                            <label for="comment" class="block text-[#CD7F32] text-lg font-semibold uppercase tracking-wide mb-2">Comment:</label>
                            <textarea id="comment" name="comment" class="w-full px-4 py-3 border border-gray-300 rounded-lg focus:ring-2 focus:ring-[#CD7F32]" rows="4" placeholder="Optional comment"></textarea>
                        </div>
                    </div>

                    <!-- Submit Button -->
                    <div class="mt-8 text-center">
                        <button type="submit" class="w-full md:w-auto px-6 py-3 bg-[#CD7F32] text-white font-semibold rounded-lg shadow-md hover:bg-green-700 transition duration-300">
                            Add Bank Withdraw
                        </button>
                    </div>
                </form>
            </div>
        </div>
    </main>
</div>
</body>
</html>
