<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Change MT5 Password</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
</head>
<body class="bg-gray-100">
<?php include "header.php";?>
<div class="flex flex-col md:flex-row h-screen">
    <!-- Sidebar -->
    <?php include "side_bar.php";?>

    <!-- Main Content -->
    <main class="flex-1 p-6 md:ml-64">
        <!-- Top Navigation -->
        <div class="flex justify-between items-center bg-white shadow p-4 rounded-lg mb-6">
            <span class="text-gray-700 font-semibold text-lg">Change MT5 Password</span>
        </div>

        <!-- Change Password Form Section -->
        <div class="container mx-auto p-6">
            <h2 class="text-2xl font-bold text-gray-700 mb-4 text-center">Select MT5 Account and Update Password</h2>

            <!-- Change Password Form -->
            <form action="change_mt5_password.php" method="POST" class="bg-white p-6 rounded-lg shadow-md w-full max-w-lg mx-auto space-y-6">
                
                <!-- MT5 Account ID Selection -->
                <div>
                    <label for="mt5_id" class="block text-gray-700 text-sm font-semibold mb-2">Select MT5 Account ID</label>
                    <select id="mt5_id" name="mt5_id" required 
                        class="w-full p-3 border border-gray-400 rounded-md text-sm focus:outline-none focus:ring-2 focus:ring-[#CD7F32]">
                        <option value="">-- Select MT5 Account ID --</option>
                        <option value="1234567">1234567</option>
                        <option value="2345678">2345678</option>
                        <option value="3456789">3456789</option>
                        <option value="4567890">4567890</option>
                    </select>
                </div>

                <!-- Password Type Selection -->
                <div>
                    <label for="password_type" class="block text-gray-700 text-sm font-semibold mb-2">Select Password Type</label>
                    <select id="password_type" name="password_type" required 
                        class="w-full p-3 border border-gray-400 rounded-md text-sm focus:outline-none focus:ring-2 focus:ring-[#CD7F32]">
                        <option value="">-- Select Password Type --</option>
                        <option value="trader">Trader Password</option>
                        <option value="investor">Investor Password</option>
                    </select>
                </div>

                <!-- New Password Input -->
                <div>
                    <label for="investor_password" class="block text-gray-700 text-sm font-semibold mb-2">Investor Password</label>
                    <input type="password" id="investor_password" name="investor_password" required 
                        class="w-full p-3 border border-gray-400 rounded-md text-sm focus:outline-none focus:ring-2 focus:ring-[#CD7F32]"
                        placeholder="Enter New MT5 Investor Password">
                    <p id="password-strength" class="text-xs text-gray-500 mt-2"></p>
                </div>
                 <div>
                    <label for="trader_password" class="block text-gray-700 text-sm font-semibold mb-2">Trader Password</label>
                    <input type="password" id="trader_password" name="trader_password" required 
                        class="w-full p-3 border border-gray-400 rounded-md text-sm focus:outline-none focus:ring-2 focus:ring-[#CD7F32]"
                        placeholder="Enter New MT5 Password">
                    <p id="password-strength" class="text-xs text-gray-500 mt-2"></p>
                </div>

                <!-- Submit Button -->
                <button type="submit" class="w-full bg-[#CD7F32] text-white py-3 rounded-md font-semibold text-sm hover:bg-[#B76E2B] transition duration-300">
                    Update Password
                </button>
            </form>
        </div>
        <br><br>
       
    </main> <?php include "footer.php"; ?>
</div>

<!-- JavaScript for Password Strength -->
<script>
    document.getElementById('trader_password').addEventListener('input', function () {
        let strength = document.getElementById('password-strength');
        let value = this.value;
        let weak = /[a-zA-Z]/.test(value);
        let medium = /\d/.test(value);
        let strong = /[\W]/.test(value);
        let length = value.length >= 8;

        if (length && weak && medium && strong) {
            strength.innerText = 'Strong Password ✅';
            strength.classList.add('text-green-600');
        } else if (length && (weak || medium)) {
            strength.innerText = 'Moderate Password ⚠️';
            strength.classList.add('text-yellow-600');
        } else {
            strength.innerText = 'Weak Password ❌';
            strength.classList.add('text-red-600');
        }
    });
     document.getElementById('investor_password').addEventListener('input', function () {
        let strength = document.getElementById('password-strength');
        let value = this.value;
        let weak = /[a-zA-Z]/.test(value);
        let medium = /\d/.test(value);
        let strong = /[\W]/.test(value);
        let length = value.length >= 8;

        if (length && weak && medium && strong) {
            strength.innerText = 'Strong Password ✅';
            strength.classList.add('text-green-600');
        } else if (length && (weak || medium)) {
            strength.innerText = 'Moderate Password ⚠️';
            strength.classList.add('text-yellow-600');
        } else {
            strength.innerText = 'Weak Password ❌';
            strength.classList.add('text-red-600');
        }
    });
</script>

    <!-- Footer -->
    

</body>
</html>
