<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create MT5 Account</title>
    <script src="https://cdn.tailwindcss.com"></script>
    <style>
        .form-container {
            background-color: #ffffff;
            padding: 30px;
            border-radius: 10px;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            max-width: 600px;
            margin: auto;
        }

        .form-heading {
            font-size: 24px;
            font-weight: bold;
            margin-bottom: 20px;
            color: #333;
        }

        .form-label {
            font-size: 16px;
            font-weight: 600;
            margin-bottom: 8px;
            color: #555;
        }

        .form-input {
            width: 100%;
            padding: 12px;
            font-size: 16px;
            border: 1px solid #ddd;
            border-radius: 8px;
            margin-bottom: 15px;
            box-sizing: border-box;
        }

        .form-input:focus {
            border-color: #CD7F32;
            outline: none;
        }

        .btn-submit {
            background-color: #CD7F32;
            color: white;
            padding: 12px 24px;
            font-size: 16px;
            border: none;
            border-radius: 8px;
            cursor: pointer;
            transition: background-color 0.3s ease;
        }

        .btn-submit:hover {
            background-color: #b07427;
        }
    </style>
</head>

<body class="bg-gray-100"> 
    <?php include "header.php"; ?>
    
    <div class="flex h-screen">
        <!-- Sidebar -->
        <?php include "side_bar.php";?>
        
        <!-- Main Content -->
        <main class="flex-1 p-6 ml-64">
            <!-- Top Navigation -->
            <div class="container mx-auto p-6 w-full max-w-6xl">
                <h2 class="text-2xl font-bold text-gray-700 mb-4">Create MT5 Account</h2>

                <form action="create_mt5_account.php" method="POST" class="form-container">
                    <!-- User Selection -->
                    <label for="user_id" class="form-label">Select User:</label>
                    <select name="user_id" id="user_id" required class="form-input">
                        <!-- Dynamically populate options using PHP -->
                        <option value="1">John Doe</option>
                        <option value="2">Jane Smith</option>
                    </select>

                    <!-- MT5 Account Number -->
                    <label for="mt5_account" class="form-label">MT5 Account Number:</label>
                    <input type="text" id="mt5_account" name="mt5_account" required class="form-input">

                    <!-- Leverage -->
                    <label for="leverage" class="form-label">Leverage:</label>
                    <input type="text" id="leverage" name="leverage" required class="form-input">

 <label for="leverage" class="form-label">Investr Password</label>
                    <input type="text" id="investor" name="investor" required class="form-input">
 <label for="leverage" class="form-label">Trader Password</label>
                    <input type="text" id="trader" name="trader" required class="form-input">

                    <!-- Submit Button -->
                    <button type="submit" class="btn-submit">Create MT5 Account</button>
                </form>
            </div>
        </main>
    </div>

    <?php include "footer.php"; ?>
</body>
</html>
