<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard</title>
     <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/jquery.dataTables.min.css">
     <style>
        body {
            font-family: 'Poppins', sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f9f9f9;
            color: #333;
        }
        .container {
            max-width: 1200px;
            margin: auto;
            padding: 20px;
        }
         .dashboard {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
            gap: 20px;
        }
        .dashboards {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
            gap: 20px;
        }
        .card {
            background: white;
            padding: 20px;
            border-radius: 12px;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
            text-align: center;
        }
        .stats {
            display: flex;
            justify-content: center;
            gap: 20px;
            flex-wrap: wrap;
        }
        .stat-item {
            background: white;
            padding: 15px;
            border-radius: 10px;
            text-align: center;
            font-weight: bold;
            box-shadow: 0 2px 6px rgba(0, 0, 0, 0.1);
            min-width: 150px;
        }
         .table-section {
            overflow-x: auto;
        }
        table {
            width: 100%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #ddd;
            padding: 12px;
            text-align: center;font-size:12px;
        }
        th {
            background-color: #f1f1f1;
        }
        .referral-section {
            text-align: right;
            margin: 20px 0;
        }
       .referral-section {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: white;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
    margin-top: 20px;
    font-size: 1.2rem; /* Default font size */
}

.referral-button:hover {
    background-color: #e66900;
}

/* Decrease font size for tablets */
@media (max-width: 1024px) {
    .referral-section {
        font-size: 1rem;
    }
}

/* Decrease font size for mobile */
@media (max-width: 768px) {
    .referral-section {
        font-size: 0.9rem;
    }
}

/* Further decrease font size for very small screens */
@media (max-width: 480px) {
    .referral-section {
        font-size: 0.8rem;
    }
}

        .news-tab {
            background: lightgrey;
            padding: 20px;
            border-radius: 12px;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
            max-width: 300px;
            color:orange;
        }
        canvas {
            max-width: 80% !important;
            height: auto !important;
        }
    </style>
</head>
<body class="bg-gray-100">
<?php include "header.php";?>
    <div class="flex flex-col md:flex-row h-screen">
        <!-- Sidebar -->
        <?php include "side_bar.php";?>

        <!-- Main Content -->
        <main class="flex-1 p-6 md:ml-64">
    <!-- Top Navigation -->
   <div class="container">
        <div class="dashboard">
            <div class="card">
                <h3>Monthly DEposit And Withdrawal</h3>
                <canvas id="commissionChart"></canvas>
            </div> <div class="table-sections card">
            <h3>Top 5 Earnings of Sub IBs</h3>
            <table>
                <tr>
                    <th>Login ID</th>
                    <th>Name</th>
                    <th>Balance</th>
                    <th>Equity</th>
                    
                </tr>
                <tr>
                    <td>1236745</td>
                    <td>Techysquad</td>
                    <td>$356</td>
                    <td>2623.2</td>
                </tr>
                <tr>
                    <td>1236745</td>
                    <td>Techysquad</td>
                    <td>$356</td>
                    <td>2623.2</td>
                </tr>
                <tr>
                     <td>1236745</td>
                    <td>Techysquad</td>
                    <td>$356</td>
                    <td>2623.2</td>
                </tr>
            </table>
        </div><br>
           <!-- <div class="card">
                <h3>My Client Transaction</h3>
                <canvas id="clientTransactionChart"></canvas>
            </div>-->
        </div>
        <div class="stats">
            <div class="stat-item">$80 Withdraw Commission</div>
            <div class="stat-item">$260 Available Commission</div>
            <div class="stat-item">77.6 Total Volume</div>
            <div class="stat-item">23 Total Clients</div>
        </div><br>
       <div class="container">
        <div class="table-section card">
            <h3>Open Position List</h3>
            <table id="openPositionTable">
                <thead>
                    <tr>
                        <th>Login ID</th>
                        <th>Symbols</th>
                        <th>Ticket ID</th>
                        <th>Volume</th>
                        <th>Date</th>
                        <th>Type</th>
                        <th>Open Price</th>
                        <th>S/L</th>
                        <th>T/P</th>
                        <th>Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>12376</td>
                        <td>EURUSD</td>
                        <td>237676</td>
                        <td>26.2</td>
                        <td>23-3-25</td>
                        <td>qwye</td>
                        <td>7637</td>
                        <td>87</td>
                        <td>34</td>
                        <td>BUY</td>
                    </tr>
                    <tr>
                        <td>12376</td>
                        <td>EURUSD</td>
                        <td>237676</td>
                        <td>26.2</td>
                        <td>23-3-25</td>
                        <td>qwye</td>
                        <td>7637</td>
                        <td>87</td>
                        <td>34</td>
                        <td>SELL</td>
                    </tr>
                    <tr>
                        <td>12376</td>
                        <td>EURUSD</td>
                        <td>237676</td>
                        <td>26.2</td>
                        <td>23-3-25</td>
                        <td>qwye</td>
                        <td>7637</td>
                        <td>87</td>
                        <td>34</td>
                        <td>BUY</td>
                    </tr> <tr>
                        <td>12376</td>
                        <td>EURUSD</td>
                        <td>237676</td>
                        <td>26.2</td>
                        <td>23-3-25</td>
                        <td>qwye</td>
                        <td>7637</td>
                        <td>87</td>
                        <td>34</td>
                        <td>BUY</td>
                    </tr> <tr>
                        <td>12376</td>
                        <td>EURUSD</td>
                        <td>237676</td>
                        <td>26.2</td>
                        <td>23-3-25</td>
                        <td>qwye</td>
                        <td>7637</td>
                        <td>87</td>
                        <td>34</td>
                        <td>BUY</td>
                    </tr> <tr>
                        <td>12376</td>
                        <td>EURUSD</td>
                        <td>237676</td>
                        <td>26.2</td>
                        <td>23-3-25</td>
                        <td>qwye</td>
                        <td>7637</td>
                        <td>87</td>
                        <td>34</td>
                        <td>BUY</td>
                    </tr> <tr>
                        <td>12376</td>
                        <td>EURUSD</td>
                        <td>237676</td>
                        <td>26.2</td>
                        <td>23-3-25</td>
                        <td>qwye</td>
                        <td>7637</td>
                        <td>87</td>
                        <td>34</td>
                        <td>BUY</td>
                    </tr> <tr>
                        <td>12376</td>
                        <td>EURUSD</td>
                        <td>237676</td>
                        <td>26.2</td>
                        <td>23-3-25</td>
                        <td>qwye</td>
                        <td>7637</td>
                        <td>87</td>
                        <td>34</td>
                        <td>BUY</td>
                    </tr> <tr>
                        <td>12376</td>
                        <td>EURUSD</td>
                        <td>237676</td>
                        <td>26.2</td>
                        <td>23-3-25</td>
                        <td>qwye</td>
                        <td>7637</td>
                        <td>87</td>
                        <td>34</td>
                        <td>BUY</td>
                    </tr> <tr>
                        <td>12376</td>
                        <td>EURUSD</td>
                        <td>237676</td>
                        <td>26.2</td>
                        <td>23-3-25</td>
                        <td>qwye</td>
                        <td>7637</td>
                        <td>87</td>
                        <td>34</td>
                        <td>BUY</td>
                    </tr> <tr>
                        <td>12376</td>
                        <td>EURUSD</td>
                        <td>237676</td>
                        <td>26.2</td>
                        <td>23-3-25</td>
                        <td>qwye</td>
                        <td>7637</td>
                        <td>87</td>
                        <td>34</td>
                        <td>BUY</td>
                    </tr> <tr>
                        <td>12376</td>
                        <td>EURUSD</td>
                        <td>237676</td>
                        <td>24.2</td>
                        <td>23-3-25</td>
                        <td>qwye</td>
                        <td>7637</td>
                        <td>87</td>
                        <td>34</td>
                        <td>BUY</td>
                    </tr>
                </tbody>
            </table>
        </div> 
        <div class="referral-section">
            <h3>Copy your Referral Link!</h3>
            <a href="#" class="referral-button">Click Here to Copy</a>
            <div class="news-tab">
                <h3>Latest News</h3>
                <p>Stay updated with the latest market trends and financial news.</p>
            </div>
        </div>
    </div>
    </div><br><br><br>
    <script>
       $(document).ready(function() {
    if (!$.fn.DataTable.isDataTable('#openPositionTable')) {
        $('#openPositionTable').DataTable({
            "paging": true,
            "searching": true,
            "lengthMenu": [5, 10, 25, 50]
        });
    }
});

    </script></main>
    <?php include "footer.php";?>
    </div>
    <script>
        const createChart = (id, type, labels, data, colors) => {
            new Chart(document.getElementById(id), {
                type: type,
                data: {
                    labels: labels,
                    datasets: [{ data: data, backgroundColor: colors }]
                }
            });
        };

        createChart('commissionChart', 'bar', ['Commission'], [1], ['orange']);
        createChart('clientTransactionChart', 'doughnut', ['Total Deposit', 'Total Withdraw'], [60, 40], ['#ff6b6b', '#4CAF50']);
        createChart('kycChart', 'pie', ['Complete', 'Pending'], [70, 30], ['#4CAF50', '#ff6b6b']);
        createChart('liveAccountChart', 'pie', ['Complete', 'Pending'], [50, 50], ['#4CAF50', '#ff6b6b']);
        createChart('ftdChart', 'pie', ['Complete', 'Pending'], [80, 20], ['#4CAF50', '#ff6b6b']);
        createChart('activeTradersChart', 'pie', ['Traders', 'Sub IB'], [65, 35], ['#4CAF50', '#ff6b6b']);
    </script>
    
</body>
</html>