<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Internal Transfer</title>
    <link href="https://cdn.jsdelivr.net/npm/tailwindcss@2.2.19/dist/tailwind.min.css" rel="stylesheet">
</head>
<body class="bg-gray-50">
<?php include "header.php"; ?>
<div class="flex flex-col md:flex-row h-screen">
    <?php include "side_bar.php"; ?>
    <main class="flex-1 p-6 md:ml-64">
       <div class="container"> 
            <!-- Internal Transfer List -->
            <div class="mt-12">
                <h2 class="text-2xl font-semibold text-center text-[#CD7F32] mb-4">Recent Internal Transfers</h2>
                <div class="overflow-x-auto">
                    <table class="min-w-full bg-white border border-gray-200 shadow-lg">
                        <thead>
                            <tr class="bg-[#CD7F32] text-white">
                                <th class="py-3 px-4 text-left">Transfer ID</th>
                                <th class="py-3 px-4 text-left">From Account</th>
                                <th class="py-3 px-4 text-left">To Account</th>
                                <th class="py-3 px-4 text-left">Amount</th>
                                <th class="py-3 px-4 text-left">Date</th>
                            </tr>
                        </thead>
                        <tbody class="text-gray-700">
                            <?php
                            $dummy_transfers = [
                                ["id" => 1001, "from" => "A12345", "to" => "B54321", "amount" => 500, "date" => "2024-02-07"],
                                ["id" => 1002, "from" => "A67890", "to" => "C98765", "amount" => 300, "date" => "2024-02-06"],
                                ["id" => 1003, "from" => "B54321", "to" => "D11223", "amount" => 750, "date" => "2024-02-05"],
                                ["id" => 1004, "from" => "C98765", "to" => "A67890", "amount" => 200, "date" => "2024-02-04"],
                                ["id" => 1005, "from" => "D11223", "to" => "B54321", "amount" => 1000, "date" => "2024-02-03"],
                            ];
                            foreach ($dummy_transfers as $transfer) {
                                echo "<tr class='border-b'>";
                                echo "<td class='py-3 px-4'>{$transfer['id']}</td>";
                                echo "<td class='py-3 px-4'>{$transfer['from']}</td>";
                                echo "<td class='py-3 px-4'>{$transfer['to']}</td>";
                                echo "<td class='py-3 px-4'>$ {$transfer['amount']}</td>";
                                echo "<td class='py-3 px-4'>{$transfer['date']}</td>";
                                echo "</tr>";
                            }
                            ?>
                        </tbody>
                    </table>
                </div>
            </div>

        </div><br><br><br>    <?php include "footer.php"; ?>

    </main>

</div>
</body>
</html>
