(function ($) {
    "use strict";

    // Spinner
    var spinner = function () {
        setTimeout(function () {
            if ($('#spinner').length > 0) {
                $('#spinner').removeClass('show');
            }
        }, 1);
    };
    spinner();
    
    
    // Back to top button
    $(window).scroll(function () {
        if ($(this).scrollTop() > 300) {
            $('.back-to-top').fadeIn('slow');
        } else {
            $('.back-to-top').fadeOut('slow');
        }
    });
    $('.back-to-top').click(function () {
        $('html, body').animate({scrollTop: 0}, 1500, 'easeInOutExpo');
        return false;
    });


    // Sidebar Toggler
    $('.sidebar-toggler').click(function () {
        $('.sidebar, .content').toggleClass("open");
        return false;
    });


    // Progress Bar
    $('.pg-bar').waypoint(function () {
        $('.progress .progress-bar').each(function () {
            $(this).css("width", $(this).attr("aria-valuenow") + '%');
        });
    }, {offset: '80%'});


    // Calender
    $('#calender').datetimepicker({
        inline: true,
        format: 'L'
    });


    // Testimonials carousel
    $(".testimonial-carousel").owlCarousel({
        autoplay: true,
        smartSpeed: 1000,
        items: 1,
        dots: true,
        loop: true,
        nav : false
    });
	
	if($(".select2").length > 0){
		$(".select2").select2({
          placeholder: "Please Choose...",
          allowClear: true
		});
	}
	
	if($("#grouplisting").length > 0){
		$('#grouplisting').DataTable({
			"paging": true,      
			"ordering": true,
			"info": true,	
		});
	}
	if($("#documentlisting").length > 0){
		$('#documentlisting').DataTable({
			"paging": true,      
			"ordering": true,
			"info": true,	
		});
	}
	if($("#bankdetailslisting").length > 0){
		$('#bankdetailslisting').DataTable({
			"paging": true,      
			"ordering": true,
			"info": true,
		});
	}
	if($("#accountlisting").length > 0){
		$('#accountlisting').DataTable({
			"paging": true,      
			"ordering": true,
			"info": true,
		});
	}
	if($("#level1listing").length > 0){
		$('#level1listing').DataTable({
			"paging": true,      
			"ordering": true,
			"info": true,
			dom: 'lBfrtip',
			buttons: [
				{ extend: 'excel'},
			],
		});
	}
	if($("#level2listing").length > 0){
		$('#level2listing').DataTable({
			"paging": true,      
			"ordering": true,
			"info": true,
			dom: 'lBfrtip',
			buttons: [
				{ extend: 'excel'},
			],
		});
	}
	if($("#level3listing").length > 0){
		$('#level3listing').DataTable({
			"paging": true,      
			"ordering": true,
			"info": true,
			dom: 'lBfrtip',
			buttons: [
				{ extend: 'excel'},
			],
		});
	}
	if($("#level4listing").length > 0){
		$('#level4listing').DataTable({
			"paging": true,      
			"ordering": true,
			"info": true,
			dom: 'lBfrtip',
			buttons: [
				{ extend: 'excel'},
			],
		});
	}
	if($("#level5listing").length > 0){
		$('#level5listing').DataTable({
			"paging": true,      
			"ordering": true,
			"info": true,
			dom: 'lBfrtip',
			buttons: [
				{ extend: 'excel'},
			],
		});
	}
	if($("#level6listing").length > 0){
		$('#level6listing').DataTable({
			"paging": true,      
			"ordering": true,
			"info": true,
			dom: 'lBfrtip',
			buttons: [
				{ extend: 'excel'},
			],
		});
	}
	if($("#level7listing").length > 0){
		$('#level7listing').DataTable({
			"paging": true,      
			"ordering": true,
			"info": true,
			dom: 'lBfrtip',
			buttons: [
				{ extend: 'excel'},
			],
		});
	}
})(jQuery);
