<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Client Dashboard</title>
    <link rel="stylesheet" href="styles.css">
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
  <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/jquery.dataTables.min.css">

<!-- Add DataTables JS -->
<script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.min.js"></script>

<style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
            background-color: #f4f4f4;
        }
        .dashboard {
            width: 90%;
            margin: 20px auto;
            background: #fff;
            padding: 20px;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
        }
        .tabs {
            display: flex;
            gap: 10px;
        }
        .tab {
            padding: 10px 15px;
            background: #ff6b00;
            color: white;
            border: none;
            cursor: pointer;
            border-radius: 5px 5px 0 0;
            font-weight: bold;
        }
        .tab:not(.active) {
            background: #ccc;
        }
        .stats {
            display: flex;
            justify-content: space-around;
            padding: 20px;
            background: #f8f8f8;
            margin-bottom: 10px;
        }
        .stat-box {
            font-size: 18px;
            font-weight: bold;
            text-align: center;
        }
        .stat-box span {
            display: block;
            font-size: 14px;
            color: gray;
        }
        .table-container {
            overflow-x: auto;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            background: white;
        }
        th, td {
            padding: 5px;
            font-size:12px;
            text-align: left;
            border-bottom: 1px solid #ddd;
        }
        th {
            background: #ff6b00;
            color: white;
        }
    </style>
    <script>
        $(document).ready(function() {
            const clientData = {
                'Open Ticket': [
                    {id: 1, name: 'Techysquad', email: 'info@techysquad.com', phone: '+91 9888493546', mt5id: '10000706', lots: '26.2', commission: '157.2', ibName: 'Contact TS', date: '2023-05-16'},
                    {id: 2, name: 'Support TS', email: 'support@techysquad.com', phone: '+91 9888493540', mt5id: '10005711', lots: '0', commission: '0', ibName: 'Contact TS', date: '2023-06-06'}
                ],
                'Close Ticket': [
                    {id: 3, name: 'User Two', email: 'user2@example.com', phone: '09876643211', mt5id: '10005999', lots: '12.5', commission: '75.0', ibName: 'Contact TS', date: '2023-07-10'}
                ]
            };
            
            function updateTable(level) {
                const rows = clientData[level] || [];
                let tableRows = '';
                rows.forEach(row => {
                    tableRows += `<tr>
                        <td>${row.id}</td>
                        <td>${row.name}</td>
                        <td>${row.email}</td>
                        <td>${row.phone}</td>
                        <td>${row.mt5id}</td>
                        <td>${row.lots}</td>
                        <td>${row.commission}</td>
                        <td>${row.ibName}</td>
                        <td>${row.date}</td>
                    </tr>`;
                });
                $('tbody').html(tableRows);
            }

            $('.tab').click(function() {
                $('.tab').removeClass('active');
                $(this).addClass('active');
                updateTable($(this).text());
            });
        });
    </script>
</head>
<body class="bg-gray-100">
<?php include "header.php";?>
    <div class="flex flex-col md:flex-row h-screen">
        <!-- Sidebar -->
        <?php include "side_bar.php";?>

        <!-- Main Content -->
        <main class="flex-1 p-6 md:ml-64">
    <!-- Top Navigation -->
   <div class="dashboard">
        <div class="tabs">
            <button class="tab active">Open Ticket</button>
            <button class="tab">Close Ticket</button>
        </div>
       
        <div class="table-container">
    <table id="myTable" class="display">
        <thead>
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Email</th>
                <th>Phone</th>
                <th>MT5 ID</th>
                <th>Total Lots</th>
                <th>Total Commission</th>
                <th>IB Name</th>
                <th>Registration Date</th>
            </tr>
        </thead>
        <tbody>
            <tr>
                <td>1</td>
                <td>Techysquad</td>
                <td>info@techysquad.com</td>
                <td>+91 9888493546</td>
                <td>10000706</td>
                <td>26.2</td>
                <td>157.2</td>
                <td>Contact TS</td>
                <td>2023-05-16</td>
            </tr> <tr>
                <td>1</td>
                <td>Techysquad</td>
                <td>info@techysquad.com</td>
                <td>+91 9888493546</td>
                <td>10000706</td>
                <td>26.2</td>
                <td>157.2</td>
                <td>Contact TS</td>
                <td>2023-05-16</td>
            </tr> <tr>
                <td>1</td>
                <td>Techysquad</td>
                <td>info@techysquad.com</td>
                <td>+91 9888493546</td>
                <td>10000706</td>
                <td>26.2</td>
                <td>157.2</td>
                <td>Contact TS</td>
                <td>2023-05-16</td>
            </tr> <tr>
                <td>1</td>
                <td>Techysquad</td>
                <td>info@techysquad.com</td>
                <td>+91 9888493546</td>
                <td>10000706</td>
                <td>26.2</td>
                <td>157.2</td>
                <td>Contact TS</td>
                <td>2023-05-16</td>
            </tr>
            <tr>
                <td>2</td>
                <td>Support TS</td>
                <td>support@techysquad.com</td>
                <td>+91 9888493540</td>
                <td>10005711</td>
                <td>0</td>
                <td>0</td>
                <td>Contact TS</td>
                <td>2023-06-06</td>
            </tr>
        </tbody>
    </table>
</div>
    </div></div>
    </main><br><br><br><?php include "footer.php";?>
    </div>
    
<script>
    $(document).ready(function () {
        $('#myTable').DataTable({
            "paging": true,       // Enable pagination
            "searching": true,    // Enable search box
            "ordering": true,     // Enable sorting
            "info": true          // Show table info
        });
    });
</script>
</body>
</html>
