<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Withdraw Funds</title>
    <link rel="stylesheet" href="styles.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">
</head>
<style>/* Global Styles */
body {
    font-family: 'Poppins', sans-serif;
    background: #fff;
    margin: 0;
    padding: 0;
    color: #333;
}

.main-container {
    display: flex;
    flex-wrap: wrap;
}

/* Sidebar */
.side-bar {
    width: 250px;
    background: #222;
    color: white;
}

@media (max-width: 768px) {
    .side-bar {
        width: 100%;
        text-align: center;
    }
}

/* Main Content */
.content {
    flex: 1;
    padding: 30px;
    text-align: center;
}

/* Welcome Section */
.welcome-section {
    padding: 40px;
    background: linear-gradient(135deg, #CD7F32, #8B5A2B);
    color: white;
    border-radius: 12px;
    box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
}

.welcome-section.withdraw {
    background: linear-gradient(135deg, #CD7F32, #8B5A2B);
}

.welcome-section h1 {
    font-size: 22px;
    margin: 0;
}

/* Withdraw Methods */
.withdraw-methods {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(220px, 1fr));
    gap: 25px;
    margin-top: 30px;
}

.withdraw-method {
    background: white;
    border-radius: 12px;
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.1);
    padding: 20px;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
    text-align: center;
}

.withdraw-method:hover {
    transform: translateY(-5px);
    box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.2);
}

.method-logo {
    width: 80px;
    height: 80px;
    object-fit: contain;
    display: block;
    margin: 0 auto;
}

/* Withdraw Button */
.withdraw-btn {
    background: #CD7F32;
    color: white;
    border: none;
    padding: 10px 15px;
    font-size: 14px;
    border-radius: 5px;
    transition: background 0.3s ease, transform 0.2s;
    cursor: pointer;
}

.withdraw-btn:hover {
    background: #B71C1C;
    transform: scale(1.05);
}

/* Withdraw Info */
.withdraw-info {
    margin-top: 40px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
}

.info-box {
    background: #F7F7F7;
    padding: 15px;
    border-radius: 10px;
    display: flex;
    align-items: center;
    gap: 10px;
}

.info-box i {
    font-size: 24px;
    color: #F44336;
}

/* FAQ Section */
.faq-section {
    margin-top: 50px;
    text-align: left;
}

.faq {
    border-bottom: 1px solid #ddd;
    margin-bottom: 10px;
}

.faq-question {
    width: 100%;
    padding: 10px;
    border: none;
    background: #f9f9f9;
    cursor: pointer;
    text-align: left;
    font-size: 16px;
}

.faq-answer {
    display: none;
    padding: 10px;
}

/* Responsive Design */
@media (max-width: 768px) {
    .withdraw-methods {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(320px, 1fr)); /* Increased min width */
        gap: 20px;
        justify-content: center;
    }

    .withdraw-method {
        width: 100%; /* Ensure it takes full width within grid */
        max-width: 350px; /* Increased max width */
        margin: auto; /* Centering */
    }
}

</style>
<body class="bg-gray-100">
<?php include "header.php";?>
<div class="flex flex-col md:flex-row h-screen">
    <!-- Sidebar -->
    <?php include "side_bar.php";?>

    <!-- Main Content -->
 <main class="flex-1 p-6 md:ml-64">
    <!-- Top Navigation -->
   <div class="container">
       <div class="welcome-section withdraw">
                <h1>💸 Fast & Secure Withdrawals</h1>
                <p>Choose your preferred method and withdraw your funds easily!</p>
            </div>

            <div class="withdraw-methods">
                <!-- Bank withdraw -->
                <div class="withdraw-method">
                    <a href="bank_withdraw.php">
                        <img src="images/banks.jpg" alt="Bank" class="method-logo justify-center">
                        <h3>Bank Transfer</h3>
                        <p>Secure wire transfers</p>
                        <button class="withdraw-btn">withdraw Now</button>
                    </a>
                </div>

                <!-- Crypto withdraw -->
                <div class="withdraw-method">
                    <a href="usdt_withdraw.php">
                        <img src="images/usdttrc20.png" alt="USDT" class="method-logo">
                        <h3>USDT</h3>
                        <p>Instant Crypto Transactions</p>
                        <button class="withdraw-btn">withdraw Now</button>
                    </a>
                </div>

                <!-- PayPal -->
                <div class="withdraw-method">
                    <a href="paypal_withdraw.php">
                        <img src="images/paypal-removebg-preview.png" alt="PayPal" class="method-logo">
                        <h3>PayPal</h3>
                        <p>Easy Online Payments</p>
                        <button class="withdraw-btn">withdraw Now</button>
                    </a>
                </div>

                <!-- Bitcoin -->
                <div class="withdraw-method">
                    <a href="bitcoin_withdraw.php">
                        <img src="images/bitcoin.png" alt="Bitcoin" class="method-logo">
                        <h3>Bitcoin</h3>
                        <p>Decentralized & Secure</p>
                        <button class="withdraw-btn">withdraw Now</button>
                    </a>
                </div>
            </div>

            <div class="withdraw-info">
                <h2>Why Choose Us?</h2>
                <div class="info-box">
                    <i class="fas fa-lock"></i>
                    <p>🔒 Secure Withdrawals</p>
                </div>
                <div class="info-box">
                    <i class="fas fa-bolt"></i>
                    <p>⚡ Instant Processing</p>
                </div>
                <div class="info-box">
                    <i class="fas fa-headset"></i>
                    <p>📞 24/7 Support</p>
                </div>
            </div>

            <div class="faq-section">
                <h2>📌 Frequently Asked Questions</h2>
                <div class="faq">
                    <button class="faq-question">What is the minimum withdrawal amount? ➤</button>
                    <div class="faq-answer">The minimum withdrawal amount is $20.</div>
                </div>
                <div class="faq">
                    <button class="faq-question">How long does a withdrawal take? ➤</button>
                    <div class="faq-answer">Withdrawals are processed within 24 hours. Crypto withdrawals are instant.</div>
                </div><div class="withdraw-process">
    <h3>How to withdraw?</h3>
    <ul>
        <li>1️⃣ Select your withdraw method</li>
        <li>2️⃣ Enter withdraw details</li>
        <li>3️⃣ Confirm & Complete payment</li>
        <li>4️⃣ Funds added to your account 🎉</li>
    </ul>
</div>
<style>
.withdraw-process { background: #fff; padding: 20px; border-radius: 8px; box-shadow: 0px 2px 8px rgba(0,0,0,0.1); text-align: left; }
.withdraw-process ul { list-style: none; padding: 0; }
.withdraw-process li { padding: 10px 0; font-size: 16px; }
</style>
            </div><br><br><br>
        </main>
    </div>

    <?php include "footer.php"; ?>
    
    <script>
        document.querySelectorAll(".faq-question").forEach((btn) => {
            btn.addEventListener("click", function() {
                let answer = this.nextElementSibling;
                answer.style.display = answer.style.display === "block" ? "none" : "block";
            });
        });
    </script>
</body>
</html>
